FreshUI = {}
FreshUI.name = "FreshUI"

local savedVariables

local function RoundedSkillBorders()
	RedirectTexture("esoui/art/actionbar/abilityframe64_down.dds", "FreshUI/media/ActionBar/abilityframe64_down.dds")
	RedirectTexture("esoui/art/actionbar/abilityframe64_up.dds", "FreshUI/media/ActionBar/abilityframe64_up.dds")
	RedirectTexture("/esoui/art/actionbar/backrow_abilityframe.dds", "FreshUI/media/ActionBar/backrow_abilityframe.dds")
	savedVariables.Rounded_Skill_Borders = true
end

local function SquareSkillBorders()
	RedirectTexture("esoui/art/actionbar/abilityframe64_down.dds", "FreshUI/media/ActionBar/SquareBorders/abilityframe64_down.dds")
	RedirectTexture("esoui/art/actionbar/abilityframe64_up.dds", "FreshUI/media/ActionBar/SquareBorders/abilityframe64_up.dds")
	RedirectTexture("/esoui/art/actionbar/backrow_abilityframe.dds", "FreshUI/media/ActionBar/SquareBorders/backrow_abilityframe.dds")
	savedVariables.Rounded_Skill_Borders = false
end

local function getRounded_Skill_Borders()
	return savedVariables.Rounded_Skill_Borders
end

local function setRounded_Skill_Borders(v)
	if(v == true) then
		RoundedSkillBorders()
	else
		SquareSkillBorders()
	end
end

local function getHide_Weapon_Swap()
	return savedVariables.Hide_Weapon_Swap_Icon
end

local function setHide_Weapon_Swap(v)
	if(v == true) then
		ZO_ActionBar1WeaponSwap:SetAlpha(0)
		savedVariables.Hide_Weapon_Swap_Icon = true
		else
		savedVariables.Hide_Weapon_Swap_Icon = false
	end
end

local function getBackground()
	return savedVariables.Background
end

local function setBackground(v)
	if(v == "Smooth") then
		RedirectTexture("esoui/art/miscellaneous/centerscreen_left.dds", "FreshUI/media/Menus/centerscreen_left.dds")
		RedirectTexture("esoui/art/miscellaneous/centerscreen_right.dds", "FreshUI/media/Menus/centerscreen_right.dds")
		RedirectTexture("esoui/art/miscellaneous/bottom_bar.dds", "FreshUI/media/Menus/bottom_bar.dds")
		RedirectTexture("esoui/art/miscellaneous/top_bar.dds", "FreshUI/media/Menus/top_bar.dds")
		RedirectTexture("/esoui/art/battlegrounds/battlegrounds_scoreboardbg_left.dds", "FreshUI/media/Menus/battlegrounds_scoreboardbg_left.dds")
		RedirectTexture("/esoui/art/battlegrounds/battlegrounds_scoreboardbg_right.dds", "FreshUI/media/blank.dds")
		RedirectTexture("/esoui/art/ava/ava_seigecontrols_bg.dds", "FreshUI/media/Menus/ava_seigecontrols_bg.dds")
		RedirectTexture("/esoui/art/deathrecap/deathrecap_bg_left.dds", "FreshUI/media/Menus/deathrecap_bg_left.dds")
		RedirectTexture("/esoui/art/deathrecap/deathrecap_bg_right.dds", "FreshUI/media/Menus/deathrecap_bg_right.dds")
		RedirectTexture("/esoui/art/login/addonmanager_bg_left.dds", "FreshUI/media/Menus/addonmanager_bg_left.dds")
		RedirectTexture("/esoui/art/login/addonmanager_bg_right.dds", "FreshUI/media/Menus/addonmanager_bg_right.dds")
		RedirectTexture("/esoui/art/miscellaneous/medium_bg_bottom.dds", "FreshUI/media/Menus/medium_bg_bottom.dds")
		RedirectTexture("/esoui/art/miscellaneous/medium_bg_top.dds", "FreshUI/media/Menus/medium_bg_top.dds")
		RedirectTexture("/esoui/art/miscellaneous/rightpanel_bg_left.dds", "FreshUI/media/Menus/rightpanel_bg_left.dds")
		RedirectTexture("/esoui/art/miscellaneous/rightpanel_bg_right.dds", "FreshUI/media/Menus/rightpanel_bg_right.dds")
		RedirectTexture("/esoui/art/tutorial/tutorial_hud_windowbg.dds", "FreshUI/media/Menus/tutorial_hud_windowbg.dds")
		RedirectTexture("/esoui/art/worldmap/map_ava_panelbg.dds", "FreshUI/media/Menus/ap_ava_panelbg.dds")
		RedirectTexture("/esoui/art/miscellaneous/mungewindow_512.dds", "FreshUI/media/Menus/mungewindow_512.dds")
		RedirectTexture("/esoui/art/performance/statusmetermunge.dds", "FreshUI/media/Menus/statusmetermunge.dds")
		RedirectTexture("/esoui/art/loot/loot_windowbg.dds", "FreshUI/media/Menus/loot_windowbg.dds")
		RedirectTexture("/esoui/art/mail/mail_inbox_messagebg_left.dds", "FreshUI/media/Menus/mail_inbox_messagebg_left.dds")
		RedirectTexture("/esoui/art/mail/mail_inbox_messagebg_right.dds", "FreshUI/media/Menus/mail_inbox_messagebg_right.dds")
		-- Chat
		RedirectTexture("esoui/art/chatwindow/chat_bg_edge.dds", "FreshUI/media/Chat/chat_bg_edge.dds")
		RedirectTexture("esoui/art/chatwindow/chat_bg_center.dds", "FreshUI/media/Chat/chat_bg_center.dds")
		RedirectTexture("esoui/art/chatwindow/chat_minimized_mungebg.dds", "FreshUI/media/Chat/chat_minimized_mungebg.dds")
		RedirectTexture("esoui/art/chatwindow/chat_minimized_mungebg_highlight.dds", "FreshUI/media/Chat/chat_minimized_mungebg_highlight.dds")
		savedVariables.Background = "Smooth"
	elseif(v == "Sharp") then
		RedirectTexture("esoui/art/miscellaneous/centerscreen_left.dds", "FreshUI/media/Menus/Sharp/centerscreen_left.dds")
		RedirectTexture("esoui/art/miscellaneous/centerscreen_right.dds", "FreshUI/media/blank.dds")
		RedirectTexture("esoui/art/miscellaneous/bottom_bar.dds", "FreshUI/media/Menus/Sharp/bottom_bar.dds")
		RedirectTexture("esoui/art/miscellaneous/top_bar.dds", "FreshUI/media/Menus/Sharp/top_bar.dds")
		RedirectTexture("/esoui/art/battlegrounds/battlegrounds_scoreboardbg_left.dds", "FreshUI/media/Menus/Sharp/battlegrounds_scoreboardbg_left.dds")
		RedirectTexture("/esoui/art/battlegrounds/battlegrounds_scoreboardbg_right.dds", "FreshUI/media/blank.dds")
		RedirectTexture("/esoui/art/ava/ava_seigecontrols_bg.dds", "FreshUI/media/Menus/Sharp/ava_seigecontrols_bg.dds")
		RedirectTexture("/esoui/art/deathrecap/deathrecap_bg_left.dds", "FreshUI/media/Menus/Sharp/deathrecap_bg_left.dds")
		RedirectTexture("/esoui/art/deathrecap/deathrecap_bg_right.dds", "FreshUI/media/blank.dds")
		RedirectTexture("/esoui/art/login/addonmanager_bg_left.dds", "FreshUI/media/Menus/Sharp/addonmanager_bg_left.dds")
		RedirectTexture("/esoui/art/login/addonmanager_bg_right.dds", "FreshUI/media/Menus/Sharp/addonmanager_bg_right.dds")
		RedirectTexture("/esoui/art/tutorial/tutorial_hud_windowbg.dds", "FreshUI/media/Menus/Sharp/tutorial_hud_windowbg.dds")
		RedirectTexture("/esoui/art/miscellaneous/mungewindow_512.dds", "FreshUI/media/Menus/mungewindow_512.dds")
		RedirectTexture("/esoui/art/performance/statusmetermunge.dds", "FreshUI/media/Menus/Sharp/statusmetermunge.dds")
		RedirectTexture("/esoui/art/loot/loot_windowbg.dds", "FreshUI/media/Menus/Sharp/loot_windowbg.dds")
		RedirectTexture("/esoui/art/mail/mail_inbox_messagebg_left.dds", "FreshUI/media/Menus/Sharp/mail_inbox_messagebg_left.dds")
		RedirectTexture("/esoui/art/mail/mail_inbox_messagebg_right.dds", "FreshUI/media/Menus/Sharp/mail_inbox_messagebg_right.dds")
		-- Chat
		RedirectTexture("esoui/art/chatwindow/chat_bg_edge.dds", "FreshUI/media/Chat/Sharp/chat_bg_edge.dds")
		RedirectTexture("esoui/art/chatwindow/chat_bg_center.dds", "FreshUI/media/Chat/Sharp/chat_bg_center.dds")
		RedirectTexture("esoui/art/chatwindow/chat_minimized_mungebg.dds", "FreshUI/media/Chat/Sharp/chat_minimized_mungebg.dds")
		RedirectTexture("esoui/art/chatwindow/chat_minimized_mungebg_highlight.dds", "FreshUI/media/Chat/Sharp/chat_minimized_mungebg_highlight.dds")
		savedVariables.Background = "Sharp"
	else
		savedVariables.Background = "Default"
	end
end

local function getFreshIcons()
	return savedVariables.FreshIcons
end

local function setFreshIcons(v)
	if (v == true) then
	-- Hud Elements
		RedirectTexture("/esoui/art/dailyloginrewards/dailyloginrewards_cornertag_ismilestone.dds", "FreshUI/media/Icons/dailyloginrewards_cornertag_ismilestone.dds")
	-- Icons
		RedirectTexture("/esoui/art/announcewindow/announcement_icon_up.dds", "FreshUI/media/Icons/announcement_icon_up.dds")
		RedirectTexture("/esoui/art/antiquities/digging_crystal_border.dds", "FreshUI/media/Icons/digging_crystal_border.dds")
		RedirectTexture("/esoui/art/cadwell/cadwell_indexicon_gold_up.dds", "FreshUI/media/Icons/cadwell_indexicon_gold_up.dds")
		RedirectTexture("/esoui/art/cadwell/cadwell_indexicon_gold_disabled.dds", "FreshUI/media/Icons/cadwell_indexicon_gold_disabled.dds")
		RedirectTexture("/esoui/art/cadwell/cadwell_indexicon_silver_up.dds", "FreshUI/media/Icons/cadwell_indexicon_silver_up.dds")
	-- Crafting
		RedirectTexture("/esoui/art/crafting/alchemy_tabicon_reagent_up.dds", "FreshUI/media/Icons/alchemy_tabicon_reagent_up.dds")
		RedirectTexture("/esoui/art/crafting/alchemy_tabicon_reagent_disabled.dds", "FreshUI/media/Icons/alchemy_tabicon_reagent_disabled.dds")
		RedirectTexture("/esoui/art/crafting/alchemy_tabicon_solvent_up.dds", "FreshUI/media/Icons/alchemy_tabicon_solvent_up.dds")
		RedirectTexture("/esoui/art/crafting/alchemy_tabicon_solvent_disabled.dds", "FreshUI/media/Icons/alchemy_tabicon_solvent_disabled.dds")
		RedirectTexture("/esoui/art/crafting/blueprints_tabicon_up.dds", "FreshUI/media/Icons/blueprints_tabicon_up.dds")
		RedirectTexture("/esoui/art/crafting/blueprints_tabicon_disabled.dds", "FreshUI/media/Icons/blueprints_tabicon_disabled.dds")
		RedirectTexture("/esoui/art/crafting/designs_tabicon_up.dds", "FreshUI/media/Icons/designs_tabicon_up.dds")
		RedirectTexture("/esoui/art/crafting/designs_tabicon_disabled.dds", "FreshUI/media/Icons/designs_tabicon_disabled.dds")
		RedirectTexture("/esoui/art/crafting/diagrams_tabicon_up.dds", "FreshUI/media/Icons/diagrams_tabicon_up.dds")
		RedirectTexture("/esoui/art/crafting/diagrams_tabicon_disabled.dds", "FreshUI/media/Icons/diagrams_tabicon_disabled.dds")
		RedirectTexture("/esoui/art/crafting/enchantment_tabicon_aspect_up.dds", "FreshUI/media/Icons/enchantment_tabicon_aspect_up.dds")
		RedirectTexture("/esoui/art/crafting/enchantment_tabicon_aspect_disabled.dds", "FreshUI/media/Icons/enchantment_tabicon_aspect_disabled.dds")
		RedirectTexture("/esoui/art/crafting/enchantment_tabicon_deconstruction_up.dds", "FreshUI/media/Icons/enchantment_tabicon_deconstruction_up.dds")
		RedirectTexture("/esoui/art/crafting/enchantment_tabicon_deconstruction_disabled.dds", "FreshUI/media/Icons/enchantment_tabicon_deconstruction_disabled.dds")
		RedirectTexture("/esoui/art/crafting/enchantment_tabicon_essence_up.dds", "FreshUI/media/Icons/enchantment_tabicon_essence_up.dds")
		RedirectTexture("/esoui/art/crafting/enchantment_tabicon_essence_disabled.dds", "FreshUI/media/Icons/enchantment_tabicon_essence_disabled.dds")
		RedirectTexture("/esoui/art/crafting/enchantment_tabicon_potency_up.dds", "FreshUI/media/Icons/enchantment_tabicon_potency_up.dds")
		RedirectTexture("/esoui/art/crafting/enchantment_tabicon_potency_disabled.dds", "FreshUI/media/Icons/enchantment_tabicon_potency_disabled.dds")
		RedirectTexture("/esoui/art/crafting/formulae_tabicon_up.dds", "FreshUI/media/Icons/formulae_tabicon_up.dds")
		RedirectTexture("/esoui/art/crafting/formulae_tabicon_disabled.dds", "FreshUI/media/Icons/formulae_tabicon_disabled.dds")
		RedirectTexture("/esoui/art/crafting/jewelry_tabicon_icon_up.dds", "FreshUI/media/Icons/jewelry_tabicon_icon_up.dds")
		RedirectTexture("/esoui/art/crafting/jewelry_tabicon_icon_disabled.dds", "FreshUI/media/Icons/jewelry_tabicon_icon_disabled.dds")
		RedirectTexture("/esoui/art/crafting/jewelryset_tabicon_icon_up.dds", "FreshUI/media/Icons/jewelryset_tabicon_icon_up.dds")
		RedirectTexture("/esoui/art/crafting/jewelryset_tabicon_icon_disabled.dds", "FreshUI/media/Icons/jewelryset_tabicon_icon_disabled.dds")
		RedirectTexture("/esoui/art/crafting/patterns_tabicon_up.dds", "FreshUI/media/Icons/patterns_tabicon_up.dds")
		RedirectTexture("/esoui/art/crafting/patterns_tabicon_disabled.dds", "FreshUI/media/Icons/patterns_tabicon_disabled.dds")
		RedirectTexture("/esoui/art/crafting/provisioner_indexicon_beer_up.dds", "FreshUI/media/Icons/provisioner_indexicon_beer_up.dds")
		RedirectTexture("/esoui/art/crafting/provisioner_indexicon_beer_disabled.dds", "FreshUI/media/Icons/provisioner_indexicon_beer_disabled.dds")
		RedirectTexture("/esoui/art/crafting/provisioner_indexicon_fillet_up.dds", "FreshUI/media/Icons/provisioner_indexicon_fillet_up.dds")
		RedirectTexture("/esoui/art/crafting/provisioner_indexicon_fillet_disabled.dds", "FreshUI/media/Icons/provisioner_indexicon_fillet_disabled.dds")
		RedirectTexture("/esoui/art/crafting/provisioner_indexicon_fish_up.dds", "FreshUI/media/Icons/provisioner_indexicon_fish_up.dds")
		RedirectTexture("/esoui/art/crafting/provisioner_indexicon_fish_disabled.dds", "FreshUI/media/Icons/provisioner_indexicon_fish_disabled.dds")
		RedirectTexture("/esoui/art/crafting/provisioner_indexicon_furnishings_up.dds", "FreshUI/media/Icons/provisioner_indexicon_furnishings_up.dds")
		RedirectTexture("/esoui/art/crafting/provisioner_indexicon_furnishings_disabled.dds", "FreshUI/media/Icons/provisioner_indexicon_furnishings_disabled.dds")
		RedirectTexture("/esoui/art/crafting/provisioner_indexicon_meat_up.dds", "FreshUI/media/Icons/provisioner_indexicon_meat_up.dds")
		RedirectTexture("/esoui/art/crafting/provisioner_indexicon_meat_disabled.dds", "FreshUI/media/Icons/provisioner_indexicon_meat_disabled.dds")
		RedirectTexture("/esoui/art/crafting/reconstruct_tabicon_up.dds", "FreshUI/media/Icons/reconstruct_tabicon_up.dds")
		RedirectTexture("/esoui/art/crafting/reconstruct_tabicon_disabled.dds", "FreshUI/media/Icons/reconstruct_tabicon_disabled.dds")
		RedirectTexture("/esoui/art/crafting/retrait_tabicon_up.dds", "FreshUI/media/Icons/retrait_tabicon_up.dds")
		RedirectTexture("/esoui/art/crafting/retrait_tabicon_disabled.dds", "FreshUI/media/Icons/retrait_tabicon_disabled.dds")
		RedirectTexture("/esoui/art/crafting/schematics_tabicon_up.dds", "FreshUI/media/Icons/schematics_tabicon_up.dds")
		RedirectTexture("/esoui/art/crafting/schematics_tabicon_disabled.dds", "FreshUI/media/Icons/schematics_tabicon_disabled.dds")
		RedirectTexture("/esoui/art/crafting/sketches_tabicon_up.dds", "FreshUI/media/Icons/sketches_tabicon_up.dds")
		RedirectTexture("/esoui/art/crafting/sketches_tabicon_disabled.dds", "FreshUI/media/Icons/sketches_tabicon_disabled.dds")
		RedirectTexture("/esoui/art/crafting/smithing_tabicon_armorset_up.dds", "FreshUI/media/Icons/smithing_tabicon_armorset_up.dds")
		RedirectTexture("/esoui/art/crafting/smithing_tabicon_armorset_disabled.dds", "FreshUI/media/Icons/smithing_tabicon_armorset_disabled.dds")
		RedirectTexture("/esoui/art/crafting/smithing_tabicon_creation_up.dds", "FreshUI/media/Icons/smithing_tabicon_creation_up.dds")
		RedirectTexture("/esoui/art/crafting/smithing_tabicon_creation_disabled.dds", "FreshUI/media/Icons/smithing_tabicon_creation_disabled.dds")
		RedirectTexture("/esoui/art/crafting/smithing_tabicon_improve_up.dds", "FreshUI/media/Icons/smithing_tabicon_improve_up.dds")
		RedirectTexture("/esoui/art/crafting/smithing_tabicon_improve_disabled.dds", "FreshUI/media/Icons/smithing_tabicon_improve_disabled.dds")
		RedirectTexture("/esoui/art/crafting/smithing_tabicon_refine_up.dds", "FreshUI/media/Icons/smithing_tabicon_refine_up.dds")
		RedirectTexture("/esoui/art/crafting/smithing_tabicon_refine_disabled.dds", "FreshUI/media/Icons/smithing_tabicon_refine_disabled.dds")
		RedirectTexture("/esoui/art/crafting/smithing_tabicon_research_up.dds", "FreshUI/media/Icons/smithing_tabicon_research_up.dds")
		RedirectTexture("/esoui/art/crafting/smithing_tabicon_research_disabled.dds", "FreshUI/media/Icons/smithing_tabicon_research_disabled.dds")
		RedirectTexture("/esoui/art/crafting/smithing_tabicon_weaponset_up.dds", "FreshUI/media/Icons/smithing_tabicon_weaponset_up.dds")
		RedirectTexture("/esoui/art/crafting/smithing_tabicon_weaponset_disabled.dds", "FreshUI/media/Icons/smithing_tabicon_weaponset_disabled.dds")
	-- Bank
		RedirectTexture("/esoui/art/bank/bank_tabicon_deposit_up.dds", "FreshUI/media/Icons/bank_tabicon_deposit_up.dds")
		RedirectTexture("/esoui/art/bank/bank_tabicon_withdraw_up.dds", "FreshUI/media/Icons/bank_tabicon_withdraw_up.dds")
		RedirectTexture("/esoui/art/bank/bank_tabicon_gold_up.dds", "FreshUI/media/Icons/bank_tabicon_gold_up.dds")
		RedirectTexture("/esoui/art/bank/bank_tabicon_telvar_up.dds", "FreshUI/media/Icons/bank_tabicon_telvar_up.dds")
		RedirectTexture("/esoui/art/bank/seachicon.dds", "FreshUI/media/Icons/seachicon.dds")
	-- Campaign
		RedirectTexture("/esoui/art/campaign/campaign_tabicon_browser_up.dds", "FreshUI/media/Icons/campaign_tabicon_browser_up.dds")
		RedirectTexture("/esoui/art/campaign/campaign_tabicon_history_up.dds", "FreshUI/media/Icons/campaign_tabicon_history_up.dds")
		RedirectTexture("/esoui/art/campaign/campaign_tabicon_leaderboard_up.dds", "FreshUI/media/Icons/campaign_tabicon_leaderboard_up.dds")
		RedirectTexture("/esoui/art/campaign/campaign_tabicon_summary_up.dds", "FreshUI/media/Icons/campaign_tabicon_summary_up.dds")
		RedirectTexture("/esoui/art/campaign/campaignbrowser_indexicon_specialevents_up.dds", "FreshUI/media/Icons/campaignbrowser_indexicon_specialevents_up.dds")
		RedirectTexture("/esoui/art/campaign/campaignbrowser_indexicon_normal_up.dds", "FreshUI/media/Icons/campaignbrowser_indexicon_normal_up.dds")
		RedirectTexture("/esoui/art/campaign/campaignbrowser_indexicon_hardcore_up.dds", "FreshUI/media/Icons/campaignbrowser_indexicon_hardcore_up.dds")
		RedirectTexture("/esoui/art/campaign/overview_indexicon_bonus_up.dds", "FreshUI/media/Icons/overview_indexicon_bonus_up.dds")
		RedirectTexture("/esoui/art/campaign/overview_indexicon_bonus_disabled.dds", "FreshUI/media/Icons/overview_indexicon_bonus_disabled.dds")
		RedirectTexture("/esoui/art/campaign/overview_indexicon_emperor_up.dds", "FreshUI/media/Icons/overview_indexicon_emperor_up.dds")
		RedirectTexture("/esoui/art/campaign/overview_indexicon_emperor_disabled.dds", "FreshUI/media/Icons/overview_indexicon_emperor_disabled.dds")
		RedirectTexture("/esoui/art/campaign/overview_indexicon_scoring_up.dds", "FreshUI/media/Icons/overview_indexicon_scoring_up.dds")
		RedirectTexture("/esoui/art/campaign/overview_indexicon_scoring_disabled.dds", "FreshUI/media/Icons/overview_indexicon_scoring_disabled.dds")
		RedirectTexture("/esoui/art/capturemeter/capturemeter_frame.dds", "FreshUI/media/Icons/capturemeter_frame.dds")
	-- Collection
		RedirectTexture("/esoui/art/collections/collections_categoryicon_locked_up.dds", "FreshUI/media/Icons/collections_categoryicon_locked_up.dds")
		RedirectTexture("/esoui/art/collections/collections_categoryicon_unlocked_up.dds", "FreshUI/media/Icons/collections_categoryicon_unlocked_up.dds")
		RedirectTexture("/esoui/art/collections/collections_cornertag_fromstore.dds", "FreshUI/media/Icons/collections_cornertag_fromstore.dds")
		RedirectTexture("/esoui/art/collections/collections_tabicon_collectibles_up.dds", "FreshUI/media/Icons/collections_tabicon_collectibles_up.dds")
		RedirectTexture("/esoui/art/collections/collections_tabicon_dlc_up.dds", "FreshUI/media/Icons/collections_tabicon_dlc_up.dds")
		RedirectTexture("/esoui/art/collections/collections_tabicon_housing_up.dds", "FreshUI/media/Icons/collections_tabicon_housing_up.dds")
		RedirectTexture("/esoui/art/collections/collections_tabicon_itemsets_up.dds", "FreshUI/media/Icons/collections_tabicon_itemsets_up.dds")
		RedirectTexture("/esoui/art/collections/collections_tabicon_outfitstyles_up.dds", "FreshUI/media/Icons/collections_tabicon_outfitstyles_up.dds")
		RedirectTexture("/esoui/art/collections/collections_tabicon_tributepatrons_up.dds", "FreshUI/media/Icons/collections_tabicon_tributepatrons_up.dds")
	-- Companions
		RedirectTexture("/esoui/art/companion/keyboard/category_u30_allies_up.dds", "FreshUI/media/Icons/category_u30_allies_up.dds")
		RedirectTexture("/esoui/art/companion/keyboard/category_u30_companions_up.dds", "FreshUI/media/Icons/category_u30_companions_up.dds")
		RedirectTexture("/esoui/art/companion/keyboard/category_u30_rapport_up.dds", "FreshUI/media/Icons/category_u30_rapport_up.dds")
		RedirectTexture("/esoui/art/companion/keyboard/companion_character_up.dds", "FreshUI/media/Icons/companion_character_up.dds")
		RedirectTexture("/esoui/art/companion/keyboard/companion_character_disabled.dds", "FreshUI/media/Icons/companion_character_disabled.dds")
		RedirectTexture("/esoui/art/companion/keyboard/companion_collections_up.dds", "FreshUI/media/Icons/companion_collections_up.dds")
		RedirectTexture("/esoui/art/companion/keyboard/companion_collections_disabled.dds", "FreshUI/media/Icons/companion_collections_disabled.dds")
		RedirectTexture("/esoui/art/companion/keyboard/companion_inventory_up.dds", "FreshUI/media/Icons/companion_inventory_up.dds")
		RedirectTexture("/esoui/art/companion/keyboard/companion_overview_up.dds", "FreshUI/media/Icons/companion_overview_up.dds")
		RedirectTexture("/esoui/art/companion/keyboard/companion_skills_up.dds", "FreshUI/media/Icons/companion_skills_up.dds")
		RedirectTexture("/esoui/art/companion/keyboard/companion_skills_disabled.dds", "FreshUI/media/Icons/companion_skills_disabled.dds")
	-- Contacts
		RedirectTexture("/esoui/art/contacts/social_note_up.dds", "FreshUI/media/Icons/social_note_up.dds")
		RedirectTexture("/esoui/art/contacts/social_note_down.dds", "FreshUI/media/Icons/social_note_down.dds")
		RedirectTexture("/esoui/art/contacts/tabicon_friends_up.dds", "FreshUI/media/Icons/tabicon_friends_up.dds")
		RedirectTexture("/esoui/art/contacts/tabicon_ignored_up.dds", "FreshUI/media/Icons/tabicon_ignored_up.dds")
	-- Dye
		RedirectTexture("/esoui/art/dye/dyes_categoryicon_up.dds", "FreshUI/media/Icons/dyes_categoryicon_up.dds")
		RedirectTexture("/esoui/art/dye/dyes_categoryicon_disabled.dds", "FreshUI/media/Icons/dyes_categoryicon_disabled.dds")
		RedirectTexture("/esoui/art/dye/dyes_tabicon_companion_up.dds", "FreshUI/media/Icons/dyes_tabicon_companion_up.dds")
		RedirectTexture("/esoui/art/dye/dyes_tabicon_companion_disabled.dds", "FreshUI/media/Icons/dyes_tabicon_companion_disabled.dds")
		RedirectTexture("/esoui/art/dye/dyes_tabicon_costumedye_up.dds", "FreshUI/media/Icons/dyes_tabicon_costumedye_up.dds")
		RedirectTexture("/esoui/art/dye/dyes_tabicon_dye_up.dds", "FreshUI/media/Icons/dyes_tabicon_dye_up.dds")
		RedirectTexture("/esoui/art/dye/dyes_tabicon_dye_disabled.dds", "FreshUI/media/Icons/dyes_tabicon_dye_disabled.dds")
		RedirectTexture("/esoui/art/dye/dyes_tabicon_outfitstyledye_up.dds", "FreshUI/media/Icons/dyes_tabicon_outfitstyledye_up.dds")
		RedirectTexture("/esoui/art/dye/dyes_tabicon_outfitstyledye_disabled.dds", "FreshUI/media/Icons/dyes_tabicon_outfitstyledye_disabled.dds")
		RedirectTexture("/esoui/art/dye/dyes_tabicon_player_up.dds", "FreshUI/media/Icons/dyes_tabicon_player_up.dds")
		RedirectTexture("/esoui/art/dye/dyes_tabicon_player_disabled.dds", "FreshUI/media/Icons/dyes_tabicon_player_disabled.dds")
		RedirectTexture("/esoui/art/dye/dyes_toolicon_erase_up.dds", "FreshUI/media/Icons/dyes_toolicon_erase_up.dds")
		RedirectTexture("/esoui/art/dye/dyes_toolicon_erase_disabled.dds", "FreshUI/media/Icons/dyes_toolicon_erase_disabled.dds")
		RedirectTexture("/esoui/art/dye/dyes_toolicon_fill_up.dds", "FreshUI/media/Icons/dyes_toolicon_fill_up.dds")
		RedirectTexture("/esoui/art/dye/dyes_toolicon_fill_disabled.dds", "FreshUI/media/Icons/dyes_toolicon_fill_disabled.dds")
		RedirectTexture("/esoui/art/dye/dyes_toolicon_paint_up.dds", "FreshUI/media/Icons/dyes_toolicon_paint_up.dds")
		RedirectTexture("/esoui/art/dye/dyes_toolicon_sample_up.dds", "FreshUI/media/Icons/dyes_toolicon_sample_up.dds")
		RedirectTexture("/esoui/art/dye/dyes_toolicon_setfill_up.dds", "FreshUI/media/Icons/dyes_toolicon_setfill_up.dds")
	--Main Menu
		RedirectTexture("/esoui/art/mainmenu/menubar_ava_up.dds", "FreshUI/media/Icons/menubar_ava_up.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_ava_disabled.dds", "FreshUI/media/Icons/menubar_ava_disabled.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_champion_up.dds", "FreshUI/media/Icons/menubar_champion_up.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_champion_disabled.dds", "FreshUI/media/Icons/menubar_champion_disabled.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_character_up.dds", "FreshUI/media/Icons/menubar_character_up.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_character_disabled.dds", "FreshUI/media/Icons/menubar_character_disabled.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_collections_up.dds", "FreshUI/media/Icons/menubar_collections_up.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_collections_disabled.dds", "FreshUI/media/Icons/menubar_collections_disabled.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_crowncrates_up.dds", "FreshUI/media/Icons/menubar_crowncrates_up.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_crowncrates_disabled.dds", "FreshUI/media/Icons/menubar_crowncrates_disabled.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_group_up.dds", "FreshUI/media/Icons/menubar_group_up.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_group_disabled.dds", "FreshUI/media/Icons/menubar_group_disabled.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_guilds_up.dds", "FreshUI/media/Icons/menubar_guilds_up.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_guilds_disabled.dds", "FreshUI/media/Icons/menubar_guilds_disabled.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_inventory_up.dds", "FreshUI/media/Icons/menubar_inventory_up.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_inventory_disabled.dds", "FreshUI/media/Icons/menubar_inventory_disabled.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_journal_up.dds", "FreshUI/media/Icons/menubar_journal_up.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_journal_disabled.dds", "FreshUI/media/Icons/menubar_journal_disabled.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_mail_up.dds", "FreshUI/media/Icons/menubar_mail_up.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_mail_disabled.dds", "FreshUI/media/Icons/menubar_mail_disabled.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_map_up.dds", "FreshUI/media/Icons/menubar_map_up.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_map_disabled.dds", "FreshUI/media/Icons/menubar_map_disabled.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_market_up.dds", "FreshUI/media/Icons/menubar_market_up.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_notifications_up.dds", "FreshUI/media/Icons/menubar_notifications_up.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_notifications_disabled.dds", "FreshUI/media/Icons/menubar_notifications_disabled.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_skills_up.dds", "FreshUI/media/Icons/menubar_skills_up.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_skills_disabled.dds", "FreshUI/media/Icons/menubar_skills_disabled.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_social_up.dds", "FreshUI/media/Icons/menubar_social_up.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_social_disabled.dds", "FreshUI/media/Icons/menubar_social_disabled.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_voip_up.dds", "FreshUI/media/Icons/menubar_voip_up.dds")
		RedirectTexture("/esoui/art/mainmenu/menubar_voip_disabled.dds", "FreshUI/media/Icons/menubar_voip_disabled.dds")
		RedirectTexture("/esoui/art/menubar/menubar_help_up.dds", "FreshUI/media/Icons/menubar_help_up.dds")
		RedirectTexture("/esoui/art/menubar/menubar_help_disabled.dds", "FreshUI/media/Icons/menubar_help_disabled.dds")
	-- Market
		RedirectTexture("/esoui/art/market/keyboard/giftclaimheadericon.dds", "FreshUI/media/Icons/giftclaimheadericon.dds")
		RedirectTexture("/esoui/art/market/keyboard/giftmessageicon_up.dds", "FreshUI/media/Icons/giftmessageicon_up.dds")
		RedirectTexture("/esoui/art/market/keyboard/tabicon_crownstore_up.dds", "FreshUI/media/Icons/tabicon_crownstore_up.dds")
		RedirectTexture("/esoui/art/market/keyboard/tabicon_crownstore_disabled.dds", "FreshUI/media/Icons/tabicon_crownstore_disabled.dds")
		RedirectTexture("/esoui/art/market/keyboard/tabicon_daily_up.dds", "FreshUI/media/Icons/tabicon_daily_up.dds")
		RedirectTexture("/esoui/art/market/keyboard/tabicon_daily_disabled.dds", "FreshUI/media/Icons/tabicon_daily_disabled.dds")
		RedirectTexture("/esoui/art/market/keyboard/tabicon_gifting_up.dds", "FreshUI/media/Icons/tabicon_gifting_up.dds")
		RedirectTexture("/esoui/art/market/keyboard/tabicon_gifting_disabled.dds", "FreshUI/media/Icons/tabicon_gifting_disabled.dds")
		RedirectTexture("/esoui/art/market/keyboard/tabicon_sealsstore_up.dds", "FreshUI/media/Icons/tabicon_sealsstore_up.dds")
		RedirectTexture("/esoui/art/market/keyboard/tabicon_sealsstore_disabled.dds", "FreshUI/media/Icons/tabicon_sealsstore_disabled.dds")
		RedirectTexture("/esoui/art/treeicons/store_indexicon_esoplus_up.dds", "FreshUI/media/Icons/store_indexicon_esoplus_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_esoplus_up.dds", "FreshUI/media/Icons/tutorial_idexicon_esoplus_up.dds")
	-- Miscellaneous
		RedirectTexture("/esoui/art/miscellaneous/clipboard_up.dds", "FreshUI/media/Icons/clipboard_up.dds")
		RedirectTexture("/esoui/art/miscellaneous/locked_up.dds", "FreshUI/media/Icons/locked_up.dds")
		RedirectTexture("/esoui/art/miscellaneous/locked_down.dds", "FreshUI/media/Icons/locked_down.dds")
		RedirectTexture("/esoui/art/miscellaneous/locked_disabled.dds", "FreshUI/media/Icons/locked_disabled.dds")
		RedirectTexture("/esoui/art/miscellaneous/unlocked_up.dds", "FreshUI/media/Icons/unlocked_up.dds")
		RedirectTexture("/esoui/art/miscellaneous/unlocked_down.dds", "FreshUI/media/Icons/unlocked_down.dds")
		RedirectTexture("/esoui/art/miscellaneous/unlocked_disabled.dds", "FreshUI/media/Icons/unlocked_disabled.dds")
		RedirectTexture("/esoui/art/repair/inventory_tabicon_repair_disabled.dds", "FreshUI/media/Icons/inventory_tabicon_repair_disabled.dds")
		RedirectTexture("/esoui/art/repair/inventory_tabicon_repair_up.dds", "FreshUI/media/Icons/inventory_tabicon_repair2_up.dds")
	-- Mounts
		RedirectTexture("/esoui/art/mounts/tabicon_mounts_up.dds", "FreshUI/media/Icons/tabicon_mounts_up.dds")
		RedirectTexture("/esoui/art/mounts/tabicon_mounts_disabled.dds", "FreshUI/media/Icons/tabicon_mounts_disabled.dds")
		RedirectTexture("/esoui/art/mounts/tabicon_ridingskills_up.dds", "FreshUI/media/Icons/tabicon_ridingskills_up.dds")
		RedirectTexture("/esoui/art/mounts/tabicon_ridingskills_disabled.dds", "FreshUI/media/Icons/tabicon_ridingskills_disabled.dds")
	-- Notifications
		RedirectTexture("/esoui/art/notifications/collectionsbutton_up.dds", "FreshUI/media/Icons/collectionsbutton_up.dds")
		RedirectTexture("/esoui/art/notifications/notification_leaderboardaccept_up.dds", "FreshUI/media/Icons/notification_leaderboardaccept_up.dds")
		RedirectTexture("/esoui/art/notifications/notification_help_up.dds", "FreshUI/media/Icons/notification_help_up.dds")
	-- Guild
		RedirectTexture("/esoui/art/guild/guild_indexicon_leader_up.dds", "FreshUI/media/Icons/guild_indexicon_leader_up.dds")
		RedirectTexture("/esoui/art/guild/guild_indexicon_member_up.dds", "FreshUI/media/Icons/guild_indexicon_member_up.dds")
		RedirectTexture("/esoui/art/guild/guild_indexicon_officer_up.dds", "FreshUI/media/Icons/guild_indexicon_officer_up.dds")
		RedirectTexture("/esoui/art/guild/guild_indexicon_recruit_up.dds", "FreshUI/media/Icons/guild_indexicon_recruit_up.dds")
		RedirectTexture("/esoui/art/guild/guildheraldry_indexicon_background_up.dds", "FreshUI/media/Icons/guildheraldry_indexicon_background_up.dds")
		RedirectTexture("/esoui/art/guild/guildheraldry_indexicon_background_disabled.dds", "FreshUI/media/Icons/guildheraldry_indexicon_background_disabled.dds")
		RedirectTexture("/esoui/art/guild/guildheraldry_indexicon_crest_up.dds", "FreshUI/media/Icons/guildheraldry_indexicon_crest_up.dds")
		RedirectTexture("/esoui/art/guild/guildheraldry_indexicon_crest_disabled.dds", "FreshUI/media/Icons/guildheraldry_indexicon_crest_disabled.dds")
		RedirectTexture("/esoui/art/guild/guildheraldry_indexicon_finalize_up.dds", "FreshUI/media/Icons/guildheraldry_indexicon_finalize_up.dds")
		RedirectTexture("/esoui/art/guild/guildheraldry_indexicon_finalize_disabled.dds", "FreshUI/media/Icons/guildheraldry_indexicon_finalize_disabled.dds")
		RedirectTexture("/esoui/art/guild/guildhistory_indexicon_alliancewar_up.dds", "FreshUI/media/Icons/guildhistory_indexicon_alliancewar_up.dds")
		RedirectTexture("/esoui/art/guild/guildhistory_indexicon_campaigns_up.dds", "FreshUI/media/Icons/guildhistory_indexicon_campaigns_up.dds")
		RedirectTexture("/esoui/art/guild/guildhistory_indexicon_combat_up.dds", "FreshUI/media/Icons/guildhistory_indexicon_combat_up.dds")
		RedirectTexture("/esoui/art/guild/guildhistory_indexicon_guild_up.dds", "FreshUI/media/Icons/guildhistory_indexicon_guild_up.dds")
		RedirectTexture("/esoui/art/guild/guildhistory_indexicon_guildbank_up.dds", "FreshUI/media/Icons/guildhistory_indexicon_guildbank_up.dds")
		RedirectTexture("/esoui/art/guild/guildhistory_indexicon_guildstore_up.dds", "FreshUI/media/Icons/guildhistory_indexicon_guildstore_up.dds")
		RedirectTexture("/esoui/art/guild/tabicon_heraldry_up.dds", "FreshUI/media/Icons/tabicon_heraldry_up.dds")
		RedirectTexture("/esoui/art/guild/tabicon_heraldry_disabled.dds", "FreshUI/media/Icons/tabicon_heraldry_disabled.dds")
		RedirectTexture("/esoui/art/guild/tabicon_history_up.dds", "FreshUI/media/Icons/tabicon_history_up.dds")
		RedirectTexture("/esoui/art/guild/tabicon_history_disabled.dds", "FreshUI/media/Icons/tabicon_history_disabled.dds")
		RedirectTexture("/esoui/art/guild/tabicon_home_up.dds", "FreshUI/media/Icons/tabicon_home_up.dds")
		RedirectTexture("/esoui/art/guild/tabicon_home_disabled.dds", "FreshUI/media/Icons/tabicon_home_disabled.dds")
		RedirectTexture("/esoui/art/guild/tabicon_ranks_up.dds", "FreshUI/media/Icons/tabicon_ranks_up.dds")
		RedirectTexture("/esoui/art/guild/tabicon_ranks_disabled.dds", "FreshUI/media/Icons/tabicon_ranks_disabled.dds")
		RedirectTexture("/esoui/art/guild/tabicon_roster_up.dds", "FreshUI/media/Icons/tabicon_roster_up.dds")
		RedirectTexture("/esoui/art/guild/tabicon_roster_disabled.dds", "FreshUI/media/Icons/tabicon_roster_disabled.dds")
	-- Guild Finder
		RedirectTexture("/esoui/art/guildfinder/tabicon_recruitment_up.dds", "FreshUI/media/Icons/tabicon_recruitment_up.dds")
		RedirectTexture("/esoui/art/guildfinder/tabicon_recruitment_disabled.dds", "FreshUI/media/Icons/tabicon_recruitment_disabled.dds")
		RedirectTexture("/esoui/art/guildfinder/keyboard/guildbrowser_applications_up.dds", "FreshUI/media/Icons/guildbrowser_applications_up.dds")
		RedirectTexture("/esoui/art/guildfinder/keyboard/guildbrowser_guildlist_additionalfilters_up.dds", "FreshUI/media/Icons/guildbrowser_guildlist_additionalfilters_up.dds")
		RedirectTexture("/esoui/art/guildfinder/keyboard/guildbrowser_guildlist_up.dds", "FreshUI/media/Icons/guildbrowser_guildlist_up.dds")
		RedirectTexture("/esoui/art/guildfinder/keyboard/guildbrowser_preferences_up.dds", "FreshUI/media/Icons/guildbrowser_preferences_up.dds")
		RedirectTexture("/esoui/art/guildfinder/keyboard/guildrecruitment_applications_up.dds", "FreshUI/media/Icons/guildrecruitment_applications_up.dds")
		RedirectTexture("/esoui/art/guildfinder/keyboard/guildrecruitment_blacklist_up.dds", "FreshUI/media/Icons/guildrecruitment_blacklist_up.dds")
		RedirectTexture("/esoui/art/guildfinder/keyboard/guildrecruitment_guildlisting_up.dds", "FreshUI/media/Icons/guildrecruitment_guildlisting_up.dds")
	-- Help
		RedirectTexture("/esoui/art/help/help_tabicon_cs_up.dds", "FreshUI/media/Icons/help_tabicon_cs_up.dds")
		RedirectTexture("/esoui/art/help/help_tabicon_cs_disabled.dds", "FreshUI/media/Icons/help_tabicon_cs_disabled.dds")
		RedirectTexture("/esoui/art/help/help_tabicon_emotes_up.dds", "FreshUI/media/Icons/help_tabicon_emotes_up.dds")
		RedirectTexture("/esoui/art/help/help_tabicon_feedback_up.dds", "FreshUI/media/Icons/help_tabicon_feedback_up.dds")
		RedirectTexture("/esoui/art/help/help_tabicon_itemassistance_up.dds", "FreshUI/media/Icons/help_tabicon_itemassistance_up.dds")
		RedirectTexture("/esoui/art/help/help_tabicon_overview_up.dds", "FreshUI/media/Icons/help_tabicon_overview_up.dds")
		RedirectTexture("/esoui/art/help/help_tabicon_questassistance_up.dds", "FreshUI/media/Icons/help_tabicon_questassistance_up.dds")
		RedirectTexture("/esoui/art/help/help_tabicon_stuck_up.dds", "FreshUI/media/Icons/help_tabicon_stuck_up.dds")
		RedirectTexture("/esoui/art/help/help_tabicon_trial_up.dds", "FreshUI/media/Icons/help_tabicon_trial_up.dds")
		RedirectTexture("/esoui/art/help/help_tabicon_tutorial_up.dds", "FreshUI/media/Icons/help_tabicon_tutorial_up.dds")
	-- Housing
		RedirectTexture("/esoui/art/housing/keyboard/furniture_tabicon_crownfurnishings_up.dds", "FreshUI/media/Icons/furniture_tabicon_crownfurnishings_up.dds")
		RedirectTexture("/esoui/art/housing/keyboard/furniture_tabicon_furniturelist_up.dds", "FreshUI/media/Icons/furniture_tabicon_furniturelist_up.dds")
		RedirectTexture("/esoui/art/housing/keyboard/furniture_tabicon_place_up.dds", "FreshUI/media/Icons/furniture_tabicon_place_up.dds")
		RedirectTexture("/esoui/art/housing/keyboard/furniture_tabicon_recall_up.dds", "FreshUI/media/Icons/furniture_tabicon_recall_up.dds")
		RedirectTexture("/esoui/art/housing/keyboard/furniture_tabicon_settings_up.dds", "FreshUI/media/Icons/furniture_tabicon_settings_up.dds")
		RedirectTexture("/esoui/art/housing/keyboard/housing_category_npc_pathing_up.dds", "FreshUI/media/Icons/housing_category_npc_pathing_up.dds")
		RedirectTexture("/esoui/art/housing/keyboard/furniture_tabicon_crownfurnishings_up.dds", "FreshUI/media/Icons/furniture_tabicon_crownfurnishings_up.dds")
		RedirectTexture("/esoui/art/housing/keyboard/path_settings_icon_up.dds", "FreshUI/media/Icons/path_settings_icon_up.dds")
	-- Radial Menu
		RedirectTexture("/esoui/art/hud/radialicon_addfriend_up.dds", "FreshUI/media/Icons/radialicon_addfriend_up.dds")
		RedirectTexture("/esoui/art/hud/radialicon_addfriend_disabled.dds", "FreshUI/media/Icons/radialicon_addfriend_disabled.dds")
		RedirectTexture("/esoui/art/hud/radialicon_cancel_up.dds", "FreshUI/media/Icons/radialicon_cancel_up.dds")
		RedirectTexture("/esoui/art/hud/radialicon_cancel_disabled.dds", "FreshUI/media/Icons/radialicon_cancel_disabled.dds")
		RedirectTexture("/esoui/art/hud/radialicon_dismount_up.dds", "FreshUI/media/Icons/radialicon_dismount_up.dds")
		RedirectTexture("/esoui/art/hud/radialicon_dismount_disabled.dds", "FreshUI/media/Icons/radialicon_dismount_disabled.dds")
		RedirectTexture("/esoui/art/hud/radialicon_duel_up.dds", "FreshUI/media/Icons/radialicon_duel_up.dds")
		RedirectTexture("/esoui/art/hud/radialicon_duel_disabled.dds", "FreshUI/media/Icons/radialicon_duel_disabled.dds")
		RedirectTexture("/esoui/art/hud/radialicon_invitegroup_up.dds", "FreshUI/media/Icons/radialicon_invitegroup_up.dds")
		RedirectTexture("/esoui/art/hud/radialicon_invitegroup_disabled.dds", "FreshUI/media/Icons/radialicon_invitegroup_disabled.dds")
		RedirectTexture("/esoui/art/hud/radialicon_joinmount_up.dds", "FreshUI/media/Icons/radialicon_joinmount_up.dds")
		RedirectTexture("/esoui/art/hud/radialicon_joinmount_disabled.dds", "FreshUI/media/Icons/radialicon_joinmount_disabled.dds")
		RedirectTexture("/esoui/art/hud/radialicon_removefriend_up.dds", "FreshUI/media/Icons/radialicon_removefriend_up.dds")
		RedirectTexture("/esoui/art/hud/radialicon_removefriend_disabled.dds", "FreshUI/media/Icons/radialicon_removefriend_disabled.dds")
		RedirectTexture("/esoui/art/hud/radialicon_removefromgroup_up.dds", "FreshUI/media/Icons/radialicon_removefromgroup_up.dds")
		RedirectTexture("/esoui/art/hud/radialicon_removefromgroup_disabled.dds", "FreshUI/media/Icons/radialicon_removefromgroup_disabled.dds")
		RedirectTexture("/esoui/art/hud/radialicon_reportplayer_up.dds", "FreshUI/media/Icons/radialicon_reportplayer_up.dds")
		RedirectTexture("/esoui/art/hud/radialicon_reportplayer_disabled.dds", "FreshUI/media/Icons/radialicon_reportplayer_disabled.dds")
		RedirectTexture("/esoui/art/hud/radialicon_trade_up.dds", "FreshUI/media/Icons/radialicon_trade_up.dds")
		RedirectTexture("/esoui/art/hud/radialicon_trade_disabled.dds", "FreshUI/media/Icons/radialicon_trade_disabled.dds")
		RedirectTexture("/esoui/art/hud/radialicon_tribute_up.dds", "FreshUI/media/Icons/radialicon_tribute_up.dds")
		RedirectTexture("/esoui/art/hud/radialicon_tribute_disabled.dds", "FreshUI/media/Icons/radialicon_tribute_disabled.dds")
		RedirectTexture("/esoui/art/hud/radialicon_whisper_up.dds", "FreshUI/media/Icons/radialicon_whisper_up.dds")
		RedirectTexture("/esoui/art/hud/radialicon_whisper_disabled.dds", "FreshUI/media/Icons/radialicon_whisper_disabled.dds")
	-- Inventory
		RedirectTexture("/esoui/art/inventory/inventory_currencytab_oncharacter_up.dds", "FreshUI/media/Icons/inventory_currencytab_oncharacter_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_currencytab_accountwide_up.dds", "FreshUI/media/Icons/inventory_currencytab_accountwide_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_1handed_up.dds", "FreshUI/media/Icons/inventory_tabicon_1handed_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_2handed_up.dds", "FreshUI/media/Icons/inventory_tabicon_2handed_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_all_up.dds", "FreshUI/media/Icons/inventory_tabicon_all_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_all_disabled.dds", "FreshUI/media/Icons/inventory_tabicon_all_disabled.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_appearance_up.dds", "FreshUI/media/Icons/inventory_tabicon_appearance_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_armor_up.dds", "FreshUI/media/Icons/inventory_tabicon_armor_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_armor_disabled.dds", "FreshUI/media/Icons/inventory_tabicon_armor_disabled.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_armorheavy_up.dds", "FreshUI/media/Icons/inventory_tabicon_armorheavy_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_armorlight_up.dds", "FreshUI/media/Icons/inventory_tabicon_armorlight_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_armormedium_up.dds", "FreshUI/media/Icons/inventory_tabicon_armormedium_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_bait_up.dds", "FreshUI/media/Icons/inventory_tabicon_bait_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_bow_up.dds", "FreshUI/media/Icons/inventory_tabicon_bow_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_companion_up.dds", "FreshUI/media/Icons/inventory_tabicon_companion_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_consumables_up.dds", "FreshUI/media/Icons/inventory_tabicon_consumables_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_consumables_disabled.dds", "FreshUI/media/Icons/inventory_tabicon_consumables_disabled.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_container_up.dds", "FreshUI/media/Icons/inventory_tabicon_container_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_craftbag_alchemy_up.dds", "FreshUI/media/Icons/inventory_tabicon_craftbag_alchemy_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_craftbag_blacksmithing_up.dds", "FreshUI/media/Icons/inventory_tabicon_craftbag_blacksmithing_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_craftbag_clothing_up.dds", "FreshUI/media/Icons/inventory_tabicon_craftbag_clothing_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_craftbag_enchanting_up.dds", "FreshUI/media/Icons/inventory_tabicon_craftbag_enchanting_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_craftbag_enchanting_disabled.dds", "FreshUI/media/Icons/inventory_tabicon_craftbag_enchanting_disabled.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_craftbag_fishing_up.dds", "FreshUI/media/Icons/inventory_tabicon_craftbag_fishing_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_craftbag_itemtrait_up.dds", "FreshUI/media/Icons/inventory_tabicon_craftbag_itemtrait_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_craftbag_jewelrycrafting_up.dds", "FreshUI/media/Icons/inventory_tabicon_craftbag_jewelrycrafting_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_craftbag_provisioning_up.dds", "FreshUI/media/Icons/inventory_tabicon_craftbag_provisioning_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_craftbag_stylematerial_up.dds", "FreshUI/media/Icons/inventory_tabicon_craftbag_stylematerial_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_craftbag_up.dds", "FreshUI/media/Icons/inventory_tabicon_craftbag_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_craftbag_woodworking_up.dds", "FreshUI/media/Icons/inventory_tabicon_craftbag_woodworking_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_crafting_up.dds", "FreshUI/media/Icons/inventory_tabicon_crafting_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_crafting_disabled.dds", "FreshUI/media/Icons/inventory_tabicon_crafting_disabled.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_crown_up.dds", "FreshUI/media/Icons/inventory_tabicon_crown_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_damagestaff_up.dds", "FreshUI/media/Icons/inventory_tabicon_damagestaff_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_furnishing_craftstation_up.dds", "FreshUI/media/Icons/inventory_tabicon_furnishing_craftstation_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_furnishing_lighting_up.dds", "FreshUI/media/Icons/inventory_tabicon_furnishing_lighting_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_furnishing_material_up.dds", "FreshUI/media/Icons/inventory_tabicon_furnishing_material_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_furnishing_seating_up.dds", "FreshUI/media/Icons/inventory_tabicon_furnishing_seating_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_furnishing_targetdummy_up.dds", "FreshUI/media/Icons/inventory_tabicon_furnishing_targetdummy_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_healstaff_up.dds", "FreshUI/media/Icons/inventory_tabicon_healstaff_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_items_up.dds", "FreshUI/media/Icons/inventory_tabicon_items_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_items_disabled.dds", "FreshUI/media/Icons/inventory_tabicon_items_disabled.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_junk_up.dds", "FreshUI/media/Icons/inventory_tabicon_junk_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_junk_disabled.dds", "FreshUI/media/Icons/inventory_tabicon_junk_disabled.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_misc_up.dds", "FreshUI/media/Icons/inventory_tabicon_misc_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_quest_up.dds", "FreshUI/media/Icons/inventory_tabicon_quest_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_quest_disabled.dds", "FreshUI/media/Icons/inventory_tabicon_quest_disabled.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_quickslot_up.dds", "FreshUI/media/Icons/inventory_tabicon_quickslot_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_recipe_up.dds", "FreshUI/media/Icons/inventory_tabicon_recipe_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_repair_up.dds", "FreshUI/media/Icons/inventory_tabicon_repair_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_shield_up.dds", "FreshUI/media/Icons/inventory_tabicon_shield_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_siege_up.dds", "FreshUI/media/Icons/inventory_tabicon_siege_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_soulgem_up.dds", "FreshUI/media/Icons/inventory_tabicon_soulgem_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_tool_up.dds", "FreshUI/media/Icons/inventory_tabicon_tool_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_trash_up.dds", "FreshUI/media/Icons/inventory_tabicon_trash_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_trophy_up.dds", "FreshUI/media/Icons/inventory_tabicon_trophy_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_weapons_up.dds", "FreshUI/media/Icons/inventory_tabicon_weapons_up.dds")
		RedirectTexture("/esoui/art/inventory/inventory_tabicon_weapons_disabled.dds", "FreshUI/media/Icons/inventory_tabicon_weapons_disabled.dds")
	-- Journal
		RedirectTexture("/esoui/art/journal/journal_tabicon_achievements_up.dds", "FreshUI/media/Icons/journal_tabicon_achievements_up.dds")
		RedirectTexture("/esoui/art/journal/journal_tabicon_achievements_disabled.dds", "FreshUI/media/Icons/journal_tabicon_achievements_disabled.dds")
		RedirectTexture("/esoui/art/journal/journal_tabicon_antiquities_up.dds", "FreshUI/media/Icons/journal_tabicon_antiquities_up.dds")
		RedirectTexture("/esoui/art/journal/journal_tabicon_cadwell_up.dds", "FreshUI/media/Icons/journal_tabicon_cadwell_up.dds")
		RedirectTexture("/esoui/art/journal/journal_tabicon_cadwell_disabled.dds", "FreshUI/media/Icons/journal_tabicon_cadwell_disabled.dds")
		RedirectTexture("/esoui/art/journal/journal_tabicon_coldharbour_up.dds", "FreshUI/media/Icons/journal_tabicon_coldharbour_up.dds")
		RedirectTexture("/esoui/art/journal/journal_tabicon_craglorn_up.dds", "FreshUI/media/Icons/journal_tabicon_craglorn_up.dds")
		RedirectTexture("/esoui/art/journal/journal_tabicon_eyevea_up.dds", "FreshUI/media/Icons/journal_tabicon_eyevea_up.dds")
		RedirectTexture("/esoui/art/journal/journal_tabicon_leaderboard_up.dds", "FreshUI/media/Icons/journal_tabicon_leaderboard_up.dds")
		RedirectTexture("/esoui/art/journal/journal_tabicon_leaderboard_disabled.dds", "FreshUI/media/Icons/journal_tabicon_leaderboard_disabled.dds")
		RedirectTexture("/esoui/art/journal/journal_tabicon_lorelibrary_up.dds", "FreshUI/media/Icons/journal_tabicon_lorelibrary_up.dds")
		RedirectTexture("/esoui/art/journal/journal_tabicon_lorelibrary_disabled.dds", "FreshUI/media/Icons/journal_tabicon_lorelibrary_disabled.dds")
		RedirectTexture("/esoui/art/journal/journal_tabicon_quest_up.dds", "FreshUI/media/Icons/journal_tabicon_quest_up.dds")
		RedirectTexture("/esoui/art/journal/journal_tabicon_quest_disabled.dds", "FreshUI/media/Icons/journal_tabicon_quest_disabled.dds")
		RedirectTexture("/esoui/art/journal/leaderboard_indexicon_ava_up.dds", "FreshUI/media/Icons/leaderboard_indexicon_ava_up.dds")
		RedirectTexture("/esoui/art/journal/leaderboard_indexicon_ava_disabled.dds", "FreshUI/media/Icons/leaderboard_indexicon_ava_disabled.dds")
		RedirectTexture("/esoui/art/journal/leaderboard_indexicon_challenge_up.dds", "FreshUI/media/Icons/leaderboard_indexicon_challenge_up.dds")
		RedirectTexture("/esoui/art/journal/leaderboard_indexicon_challenge_disabled.dds", "FreshUI/media/Icons/leaderboard_indexicon_challenge_disabled.dds")
		RedirectTexture("/esoui/art/journal/leaderboard_indexicon_endlessdungeon_up.dds", "FreshUI/media/Icons/leaderboard_indexicon_endlessdungeon_up.dds")
		RedirectTexture("/esoui/art/journal/leaderboard_indexicon_endlessdungeon_disabled.dds", "FreshUI/media/Icons/leaderboard_indexicon_endlessdungeon_disabled.dds")
		RedirectTexture("/esoui/art/journal/leaderboard_indexicon_housing_up.dds", "FreshUI/media/Icons/leaderboard_indexicon_housing_up.dds")
		RedirectTexture("/esoui/art/journal/leaderboard_indexicon_raids_up.dds", "FreshUI/media/Icons/leaderboard_indexicon_raids_up.dds")
		RedirectTexture("/esoui/art/journal/leaderboard_tabicon_guest_up.dds", "FreshUI/media/Icons/leaderboard_tabicon_guest_up.dds")
		RedirectTexture("/esoui/art/journal/leaderboard_tabicon_guest_disabled.dds", "FreshUI/media/Icons/leaderboard_tabicon_guest_disabled.dds")
		RedirectTexture("/esoui/art/journal/leaderboard_tabicon_home_up.dds", "FreshUI/media/Icons/leaderboard_tabicon_home_up.dds")
		RedirectTexture("/esoui/art/journal/leaderboard_tabicon_home_disabled.dds", "FreshUI/media/Icons/leaderboard_tabicon_home_disabled.dds")
	-- LFG
		RedirectTexture("/esoui/art/lfg/lfg_any_up_64.dds", "FreshUI/media/Icons/lfg_any_up_64.dds")
		RedirectTexture("/esoui/art/lfg/lfg_championdungeon_up.dds", "FreshUI/media/Icons/lfg_championdungeon_up.dds")
		RedirectTexture("/esoui/art/lfg/lfg_dps_up_64.dds", "FreshUI/media/Icons/lfg_dps_up_64.dds")
		RedirectTexture("/esoui/art/lfg/lfg_dps_up.dds", "FreshUI/media/Icons/lfg_dps_up.dds")
		RedirectTexture("/esoui/art/lfg/lfg_groupfinder_additionalfilters_up.dds", "FreshUI/media/Icons/lfg_groupfinder_additionalfilters_up.dds")
		RedirectTexture("/esoui/art/lfg/lfg_groupfinder_additionalfilters_disabled.dds", "FreshUI/media/Icons/lfg_groupfinder_additionalfilters_disabled.dds")
		RedirectTexture("/esoui/art/lfg/lfg_groupfinder_refreshsearch_up.dds", "FreshUI/media/Icons/lfg_groupfinder_refreshsearch_up.dds")
		RedirectTexture("/esoui/art/lfg/lfg_groupfinder_refreshsearch_disabled.dds", "FreshUI/media/Icons/lfg_groupfinder_refreshsearch_disabled.dds")
		RedirectTexture("/esoui/art/lfg/lfg_healer_up_64.dds", "FreshUI/media/Icons/lfg_healer_up_64.dds")
		RedirectTexture("/esoui/art/lfg/lfg_healer_up.dds", "FreshUI/media/Icons/lfg_healer_up.dds")
		RedirectTexture("/esoui/art/lfg/lfg_indexicon_alliancewar_up.dds", "FreshUI/media/Icons/lfg_indexicon_alliancewar_up.dds")
		RedirectTexture("/esoui/art/lfg/lfg_indexicon_battlegrounds_up.dds", "FreshUI/media/Icons/lfg_indexicon_battlegrounds_up.dds")
		RedirectTexture("/esoui/art/lfg/lfg_indexicon_battlegrounds_disabled.dds", "FreshUI/media/Icons/lfg_indexicon_battlegrounds_disabled.dds")
		RedirectTexture("/esoui/art/lfg/lfg_indexicon_dungeon_up.dds", "FreshUI/media/Icons/lfg_indexicon_dungeon_up.dds")
		RedirectTexture("/esoui/art/lfg/lfg_indexicon_dungeon_disabled.dds", "FreshUI/media/Icons/lfg_indexicon_dungeon_disabled.dds")
		RedirectTexture("/esoui/art/lfg/lfg_indexicon_group_up.dds", "FreshUI/media/Icons/lfg_indexicon_group_up.dds")
		RedirectTexture("/esoui/art/lfg/lfg_indexicon_groupfinder_up.dds", "FreshUI/media/Icons/lfg_indexicon_groupfinder_up.dds")
		RedirectTexture("/esoui/art/lfg/lfg_indexicon_groupfinder_disabled.dds", "FreshUI/media/Icons/lfg_indexicon_groupfinder_disabled.dds")
		RedirectTexture("/esoui/art/lfg/lfg_indexicon_homeshow_up.dds", "FreshUI/media/Icons/lfg_indexicon_homeshow_up.dds")
		RedirectTexture("/esoui/art/lfg/lfg_indexicon_imperialcity_up.dds", "FreshUI/media/Icons/lfg_indexicon_imperialcity_up.dds")
		RedirectTexture("/esoui/art/lfg/lfg_indexicon_timedactivities_up.dds", "FreshUI/media/Icons/lfg_indexicon_timedactivities_up.dds")
		RedirectTexture("/esoui/art/lfg/lfg_indexicon_trial_up.dds", "FreshUI/media/Icons/lfg_indexicon_trial_up.dds")
		RedirectTexture("/esoui/art/lfg/lfg_indexicon_zonestories_up.dds", "FreshUI/media/Icons/lfg_indexicon_zonestories_up.dds")
		RedirectTexture("/esoui/art/lfg/lfg_indexicon_zonestories_disabled.dds", "FreshUI/media/Icons/lfg_indexicon_zonestories_disabled.dds")
		RedirectTexture("/esoui/art/lfg/lfg_normaldungeon_up.dds", "FreshUI/media/Icons/lfg_normaldungeon_up.dds")
		RedirectTexture("/esoui/art/lfg/lfg_normaldungeon_disabled.dds", "FreshUI/media/Icons/lfg_normaldungeon_disabled.dds")
		RedirectTexture("/esoui/art/lfg/lfg_tabicon_grouptools_up.dds", "FreshUI/media/Icons/lfg_tabicon_grouptools_up.dds")
		RedirectTexture("/esoui/art/lfg/lfg_tabicon_grouptools_disabled.dds", "FreshUI/media/Icons/lfg_tabicon_grouptools_disabled.dds")
		RedirectTexture("/esoui/art/lfg/lfg_tabicon_mygroup_up.dds", "FreshUI/media/Icons/lfg_tabicon_mygroup_up.dds")
		RedirectTexture("/esoui/art/lfg/lfg_tabicon_mygroup_disabled.dds", "FreshUI/media/Icons/lfg_tabicon_mygroup_disabled.dds")
		RedirectTexture("/esoui/art/lfg/lfg_tank_up_64.dds", "FreshUI/media/Icons/lfg_tank_up_64.dds")
		RedirectTexture("/esoui/art/lfg/lfg_tank_up.dds", "FreshUI/media/Icons/lfg_tank_up.dds")
		RedirectTexture("/esoui/art/lfg/lfg_veterandungeon_up.dds", "FreshUI/media/Icons/lfg_veterandungeon_up.dds")
		RedirectTexture("/esoui/art/lfg/lfg_veterandungeon_disabled.dds", "FreshUI/media/Icons/lfg_veterandungeon_disabled.dds")
	-- Mail
		RedirectTexture("/esoui/art/mail/mail_tabicon_inbox_up.dds", "FreshUI/media/Icons/mail_tabicon_inbox_up.dds")
		RedirectTexture("/esoui/art/mail/mail_tabicon_compose_up.dds", "FreshUI/media/Icons/mail_tabicon_compose_up.dds")
	-- Progression
		RedirectTexture("/esoui/art/progression/addpoints_up.dds", "FreshUI/media/Icons/addpoints_up.dds")
		RedirectTexture("/esoui/art/progression/addpoints_down.dds", "FreshUI/media/Icons/addpoints_down.dds")
		RedirectTexture("/esoui/art/progression/addpoints_disabled.dds", "FreshUI/media/Icons/addpoints_disabled.dds")
		RedirectTexture("/esoui/art/progression/morph_up.dds", "FreshUI/media/Icons/morph_up.dds")
		RedirectTexture("/esoui/art/progression/morph_down.dds", "FreshUI/media/Icons/morph_down.dds")
		RedirectTexture("/esoui/art/progression/morph_disabled.dds", "FreshUI/media/Icons/morph_disabled.dds")
		RedirectTexture("/esoui/art/progression/progression_crafting_delevel_up.dds", "FreshUI/media/Icons/progression_crafting_delevel_up.dds")
		RedirectTexture("/esoui/art/progression/progression_crafting_delevel_down.dds", "FreshUI/media/Icons/progression_crafting_delevel_down.dds")
		RedirectTexture("/esoui/art/progression/progression_crafting_locked_up.dds", "FreshUI/media/Icons/progression_crafting_locked_up.dds")
		RedirectTexture("/esoui/art/progression/progression_crafting_locked_down.dds", "FreshUI/media/Icons/progression_crafting_locked_down.dds")
		RedirectTexture("/esoui/art/progression/progression_crafting_unlocked_up.dds", "FreshUI/media/Icons/progression_crafting_unlocked_up.dds")
		RedirectTexture("/esoui/art/progression/progression_crafting_unlocked_down.dds", "FreshUI/media/Icons/progression_crafting_unlocked_down.dds")
		RedirectTexture("/esoui/art/progression/progression_indexicon_armor_up.dds", "FreshUI/media/Icons/progression_indexicon_armor_up.dds")
		RedirectTexture("/esoui/art/progression/progression_indexicon_ava_up.dds", "FreshUI/media/Icons/progression_indexicon_ava_up.dds")
		RedirectTexture("/esoui/art/progression/progression_indexicon_class_up.dds", "FreshUI/media/Icons/progression_indexicon_class_up.dds")
		RedirectTexture("/esoui/art/progression/progression_indexicon_guilds_up.dds", "FreshUI/media/Icons/progression_indexicon_guilds_up.dds")
		RedirectTexture("/esoui/art/progression/progression_indexicon_race_up.dds", "FreshUI/media/Icons/progression_indexicon_race_up.dds")
		RedirectTexture("/esoui/art/progression/progression_indexicon_tradeskills_up.dds", "FreshUI/media/Icons/progression_indexicon_tradeskills_up.dds")
		RedirectTexture("/esoui/art/progression/progression_indexicon_weapons_up.dds", "FreshUI/media/Icons/progression_indexicon_weapons_up.dds")
		RedirectTexture("/esoui/art/progression/progression_indexicon_world_up.dds", "FreshUI/media/Icons/progression_indexicon_world_up.dds")
		RedirectTexture("/esoui/art/progression/progression_tabicon_combatskills_up.dds", "FreshUI/media/Icons/progression_tabicon_combatskills_up.dds")
		RedirectTexture("/esoui/art/progression/remorph_up.dds", "FreshUI/media/Icons/remorph_up.dds")
		RedirectTexture("/esoui/art/progression/remorph_down.dds", "FreshUI/media/Icons/remorph_down.dds")
		RedirectTexture("/esoui/art/progression/remorph_disabled.dds", "FreshUI/media/Icons/remorph_disabled.dds")
		RedirectTexture("/esoui/art/progression/removepoints_up.dds", "FreshUI/media/Icons/removepoints_up.dds")
		RedirectTexture("/esoui/art/progression/removepoints_down.dds", "FreshUI/media/Icons/removepoints_down.dds")
		RedirectTexture("/esoui/art/progression/removepoints_disabled.dds", "FreshUI/media/Icons/removepoints_disabled.dds")
	-- Skillsadvisor
		RedirectTexture("/esoui/art/skillsadvisor/advisor_tabicon_settings_up.dds", "FreshUI/media/Icons/advisor_tabicon_settings_up.dds")
		RedirectTexture("/esoui/art/skillsadvisor/advisor_tabicon_tutorial_up.dds", "FreshUI/media/Icons/advisor_tabicon_tutorial_up.dds")
		RedirectTexture("/esoui/art/skillsadvisor/advisor_tabicon_tutorial_disabled.dds", "FreshUI/media/Icons/advisor_tabicon_tutorial_disabled.dds")
	-- TradingHouse
		RedirectTexture("/esoui/art/tradinghouse/category_u30_equipment_up.dds", "FreshUI/media/Icons/category_u30_equipment_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_apparel_accessories_necklace_up.dds", "FreshUI/media/Icons/tradinghouse_apparel_accessories_necklace_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_apparel_accessories_necklace_disabled.dds", "FreshUI/media/Icons/tradinghouse_apparel_accessories_necklace_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_apparel_accessories_ring_up.dds", "FreshUI/media/Icons/tradinghouse_apparel_accessories_ring_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_apparel_accessories_ring_disabled.dds", "FreshUI/media/Icons/tradinghouse_apparel_accessories_ring_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_apparel_chest_up.dds", "FreshUI/media/Icons/tradinghouse_apparel_chest_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_apparel_chest_disabled.dds", "FreshUI/media/Icons/tradinghouse_apparel_chest_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_apparel_feet_up.dds", "FreshUI/media/Icons/tradinghouse_apparel_feet_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_apparel_feet_disabled.dds", "FreshUI/media/Icons/tradinghouse_apparel_feet_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_apparel_hands_up.dds", "FreshUI/media/Icons/tradinghouse_apparel_hands_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_apparel_hands_disabled.dds", "FreshUI/media/Icons/tradinghouse_apparel_hands_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_apparel_head_up.dds", "FreshUI/media/Icons/tradinghouse_apparel_head_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_apparel_head_disabled.dds", "FreshUI/media/Icons/tradinghouse_apparel_head_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_apparel_legs_up.dds", "FreshUI/media/Icons/tradinghouse_apparel_legs_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_apparel_legs_disabled.dds", "FreshUI/media/Icons/tradinghouse_apparel_legs_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_apparel_shoulders_up.dds", "FreshUI/media/Icons/tradinghouse_apparel_shoulders_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_apparel_shoulders_disabled.dds", "FreshUI/media/Icons/tradinghouse_apparel_shoulders_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_apparel_waist_up.dds", "FreshUI/media/Icons/tradinghouse_apparel_waist_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_apparel_waist_disabled.dds", "FreshUI/media/Icons/tradinghouse_apparel_waist_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_browse_tabicon_up.dds", "FreshUI/media/Icons/tradinghouse_browse_tabicon_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_browse_tabicon_disabled.dds", "FreshUI/media/Icons/tradinghouse_browse_tabicon_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_glyphs_trio_up.dds", "FreshUI/media/Icons/tradinghouse_glyphs_trio_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_glyphs_trio_disabled.dds", "FreshUI/media/Icons/tradinghouse_glyphs_trio_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_holiday_writ_up.dds", "FreshUI/media/Icons/tradinghouse_holiday_writ_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_holiday_writ_disabled.dds", "FreshUI/media/Icons/tradinghouse_holiday_writ_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_listings_tabicon_up.dds", "FreshUI/media/Icons/tradinghouse_listings_tabicon_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_listings_tabicon_disabled.dds", "FreshUI/media/Icons/tradinghouse_listings_tabicon_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_master_writ_up.dds", "FreshUI/media/Icons/tradinghouse_master_writ_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_master_writ_disabled.dds", "FreshUI/media/Icons/tradinghouse_master_writ_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_blacksmithing_mats_up.dds", "FreshUI/media/Icons/tradinghouse_materials_blacksmithing_mats_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_blacksmithing_mats_disabled.dds", "FreshUI/media/Icons/tradinghouse_materials_blacksmithing_mats_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_blacksmithing_rawmats_up.dds", "FreshUI/media/Icons/tradinghouse_materials_blacksmithing_rawmats_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_blacksmithing_rawmats_disabled.dds", "FreshUI/media/Icons/tradinghouse_materials_blacksmithing_rawmats_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_blacksmithing_temper_up.dds", "FreshUI/media/Icons/tradinghouse_materials_blacksmithing_temper_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_blacksmithing_temper_disabled.dds", "FreshUI/media/Icons/tradinghouse_materials_blacksmithing_temper_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_enchanting_aspect_up.dds", "FreshUI/media/Icons/tradinghouse_materials_enchanting_aspect_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_enchanting_aspect_disabled.dds", "FreshUI/media/Icons/tradinghouse_materials_enchanting_aspect_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_enchanting_essence_up.dds", "FreshUI/media/Icons/tradinghouse_materials_enchanting_essence_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_enchanting_essence_disabled.dds", "FreshUI/media/Icons/tradinghouse_materials_enchanting_essence_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_enchanting_potency_up.dds", "FreshUI/media/Icons/tradinghouse_materials_enchanting_potency_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_enchanting_potency_disabled.dds", "FreshUI/media/Icons/tradinghouse_materials_enchanting_potency_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_jewelrymaking_mats_up.dds", "FreshUI/media/Icons/tradinghouse_materials_jewelrymaking_mats_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_jewelrymaking_plating_up.dds", "FreshUI/media/Icons/tradinghouse_materials_jewelrymaking_plating_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_jewelrymaking_mats_disabled.dds", "FreshUI/media/Icons/tradinghouse_materials_jewelrymaking_mats_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_jewelrymaking_plating_disabled.dds", "FreshUI/media/Icons/tradinghouse_materials_jewelrymaking_plating_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_jewelrymaking_rawmats_up.dds", "FreshUI/media/Icons/tradinghouse_materials_jewelrymaking_rawmats_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_jewelrymaking_rawmats_disabled.dds", "FreshUI/media/Icons/tradinghouse_materials_jewelrymaking_rawmats_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_jewelrymaking_rawplating_up.dds", "FreshUI/media/Icons/tradinghouse_materials_jewelrymaking_rawplating_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_jewelrymaking_rawplating_disabled.dds", "FreshUI/media/Icons/tradinghouse_materials_jewelrymaking_rawplating_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_provisioning_drink_up.dds", "FreshUI/media/Icons/tradinghouse_materials_provisioning_drink_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_provisioning_drink_disabled.dds", "FreshUI/media/Icons/tradinghouse_materials_provisioning_drink_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_provisioning_food_up.dds", "FreshUI/media/Icons/tradinghouse_materials_provisioning_food_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_provisioning_food_disabled.dds", "FreshUI/media/Icons/tradinghouse_materials_provisioning_food_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_provisioning_rare_up.dds", "FreshUI/media/Icons/tradinghouse_materials_provisioning_rare_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_provisioning_rare_disabled.dds", "FreshUI/media/Icons/tradinghouse_materials_provisioning_rare_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_style_rawmats_up.dds", "FreshUI/media/Icons/tradinghouse_materials_style_rawmats_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_style_rawmats_disabled.dds", "FreshUI/media/Icons/tradinghouse_materials_style_rawmats_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_style_stylemats_up.dds", "FreshUI/media/Icons/tradinghouse_materials_style_stylemats_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_style_stylemats_disabled.dds", "FreshUI/media/Icons/tradinghouse_materials_style_stylemats_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_tailoring_mats_up.dds", "FreshUI/media/Icons/tradinghouse_materials_tailoring_mats_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_tailoring_mats_disabled.dds", "FreshUI/media/Icons/tradinghouse_materials_tailoring_mats_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_tailoring_rawmats_up.dds", "FreshUI/media/Icons/tradinghouse_materials_tailoring_rawmats_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_tailoring_rawmats_disabled.dds", "FreshUI/media/Icons/tradinghouse_materials_tailoring_rawmats_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_tailoring_tannin_up.dds", "FreshUI/media/Icons/tradinghouse_materials_tailoring_tannin_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_tailoring_tannin_disabled.dds", "FreshUI/media/Icons/tradinghouse_materials_tailoring_tannin_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_traits_armor_up.dds", "FreshUI/media/Icons/tradinghouse_materials_traits_armor_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_traits_armor_disabled.dds", "FreshUI/media/Icons/tradinghouse_materials_traits_armor_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_traits_jewelry_up.dds", "FreshUI/media/Icons/tradinghouse_materials_traits_jewelry_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_traits_jewelry_disabled.dds", "FreshUI/media/Icons/tradinghouse_materials_traits_jewelry_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_woodworking_mats_up.dds", "FreshUI/media/Icons/tradinghouse_materials_woodworking_mats_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_woodworking_mats_disabled.dds", "FreshUI/media/Icons/tradinghouse_materials_woodworking_mats_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_woodworking_rawmats_up.dds", "FreshUI/media/Icons/tradinghouse_materials_woodworking_rawmats_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_woodworking_rawmats_disabled.dds", "FreshUI/media/Icons/tradinghouse_materials_woodworking_rawmats_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_woodworking_resin_up.dds", "FreshUI/media/Icons/tradinghouse_materials_woodworking_resin_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_materials_woodworking_resin_disabled.dds", "FreshUI/media/Icons/tradinghouse_materials_woodworking_resin_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_other_trophy_types_up.dds", "FreshUI/media/Icons/tradinghouse_other_trophy_types_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_other_trophy_types_disabled.dds", "FreshUI/media/Icons/tradinghouse_other_trophy_types_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_potions_poisonsolvent_up.dds", "FreshUI/media/Icons/tradinghouse_potions_poisonsolvent_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_potions_poisonsolvent_disabled.dds", "FreshUI/media/Icons/tradinghouse_potions_poisonsolvent_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_potions_potionsolvent_up.dds", "FreshUI/media/Icons/tradinghouse_potions_potionsolvent_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_potions_potionsolvent_disabled.dds", "FreshUI/media/Icons/tradinghouse_potions_potionsolvent_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_potions_reagents_up.dds", "FreshUI/media/Icons/tradinghouse_potions_reagents_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_potions_reagents_disabled.dds", "FreshUI/media/Icons/tradinghouse_potions_reagents_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_racial_style_motif_book_up.dds", "FreshUI/media/Icons/tradinghouse_racial_style_motif_book_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_racial_style_motif_book_disabled.dds", "FreshUI/media/Icons/tradinghouse_racial_style_motif_book_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_racial_style_motif_chapter_up.dds", "FreshUI/media/Icons/tradinghouse_racial_style_motif_chapter_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_racial_style_motif_chapter_disabled.dds", "FreshUI/media/Icons/tradinghouse_racial_style_motif_chapter_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_sell_tabicon_up.dds", "FreshUI/media/Icons/tradinghouse_sell_tabicon_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_sell_tabicon_disabled.dds", "FreshUI/media/Icons/tradinghouse_sell_tabicon_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_trophy_recipe_fragment_up.dds", "FreshUI/media/Icons/tradinghouse_trophy_recipe_fragment_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_trophy_recipe_fragment_disabled.dds", "FreshUI/media/Icons/tradinghouse_trophy_recipe_fragment_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_trophy_runebox_fragment_up.dds", "FreshUI/media/Icons/tradinghouse_trophy_runebox_fragment_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_trophy_runebox_fragment_disabled.dds", "FreshUI/media/Icons/tradinghouse_trophy_runebox_fragment_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_trophy_scroll_up.dds", "FreshUI/media/Icons/tradinghouse_trophy_scroll_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_trophy_scroll_disabled.dds", "FreshUI/media/Icons/tradinghouse_trophy_scroll_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_trophy_treasure_map_up.dds", "FreshUI/media/Icons/tradinghouse_trophy_treasure_map_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_trophy_treasure_map_disabled.dds", "FreshUI/media/Icons/tradinghouse_trophy_treasure_map_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_weapons_1h_axe_up.dds", "FreshUI/media/Icons/tradinghouse_weapons_1h_axe_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_weapons_1h_axe_disabled.dds", "FreshUI/media/Icons/tradinghouse_weapons_1h_axe_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_weapons_1h_dagger_up.dds", "FreshUI/media/Icons/tradinghouse_weapons_1h_dagger_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_weapons_1h_dagger_disabled.dds", "FreshUI/media/Icons/tradinghouse_weapons_1h_dagger_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_weapons_1h_mace_up.dds", "FreshUI/media/Icons/tradinghouse_weapons_1h_mace_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_weapons_1h_mace_disabled.dds", "FreshUI/media/Icons/tradinghouse_weapons_1h_mace_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_weapons_1h_sword_up.dds", "FreshUI/media/Icons/tradinghouse_weapons_1h_sword_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_weapons_1h_sword_disabled.dds", "FreshUI/media/Icons/tradinghouse_weapons_1h_sword_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_weapons_2h_axe_up.dds", "FreshUI/media/Icons/tradinghouse_weapons_2h_axe_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_weapons_2h_axe_disabled.dds", "FreshUI/media/Icons/tradinghouse_weapons_2h_axe_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_weapons_2h_mace_up.dds", "FreshUI/media/Icons/tradinghouse_weapons_2h_mace_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_weapons_2h_mace_disabled.dds", "FreshUI/media/Icons/tradinghouse_weapons_2h_mace_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_weapons_2h_sword_up.dds", "FreshUI/media/Icons/tradinghouse_weapons_2h_sword_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_weapons_2h_sword_disabled.dds", "FreshUI/media/Icons/tradinghouse_weapons_2h_sword_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_weapons_staff_flame_up.dds", "FreshUI/media/Icons/tradinghouse_weapons_staff_flame_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_weapons_staff_flame_disabled.dds", "FreshUI/media/Icons/tradinghouse_weapons_staff_flame_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_weapons_staff_frost_up.dds", "FreshUI/media/Icons/tradinghouse_weapons_staff_frost_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_weapons_staff_frost_disabled.dds", "FreshUI/media/Icons/tradinghouse_weapons_staff_frost_disabled.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_weapons_staff_lightning_up.dds", "FreshUI/media/Icons/tradinghouse_weapons_staff_lightning_up.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_weapons_staff_lightning_disabled.dds", "FreshUI/media/Icons/tradinghouse_weapons_staff_lightning_disabled.dds")
	-- Tree Icons
		RedirectTexture("/esoui/art/treeicons/antiquities_indexicon_scryable_up.dds", "FreshUI/media/Icons/antiquities_indexicon_scryable_up.dds")
		RedirectTexture("/esoui/art/treeicons/antiquities_tabicon_coldharbour_up.dds", "FreshUI/media/Icons/antiquities_tabicon_coldharbour_up.dds")
		RedirectTexture("/esoui/art/treeicons/antiquities_tabicon_craglorn_up.dds", "FreshUI/media/Icons/antiquities_tabicon_craglorn_up.dds")
		RedirectTexture("/esoui/art/treeicons/antiquities_tabicon_eyevea_up.dds", "FreshUI/media/Icons/antiquities_tabicon_eyevea_up.dds")
		RedirectTexture("/esoui/art/treeicons/collection_indexicon_allies_up.dds", "FreshUI/media/Icons/collection_indexicon_allies_up.dds")
		RedirectTexture("/esoui/art/treeicons/collection_indexicon_companions_up.dds", "FreshUI/media/Icons/collection_indexicon_companions_up.dds")
		RedirectTexture("/esoui/art/treeicons/collection_indexicon_equipment_up.dds", "FreshUI/media/Icons/collection_indexicon_equipment_up.dds")
		RedirectTexture("/esoui/art/treeicons/collection_indexicon_rapport_up.dds", "FreshUI/media/Icons/collection_indexicon_rapport_up.dds")
		RedirectTexture("/esoui/art/treeicons/collection_indexicon_tribute_up.dds", "FreshUI/media/Icons/collection_indexicon_tribute_up.dds")
		RedirectTexture("/esoui/art/treeicons/collection_indexicon_tribute_disabled.dds", "FreshUI/media/Icons/collection_indexicon_tribute_disabled.dds")
		RedirectTexture("/esoui/art/treeicons/ouroboros_indexicon_up.dds", "FreshUI/media/Icons/ouroboros_indexicon_up.dds")
		RedirectTexture("/esoui/art/treeicons/tools_up.dds", "FreshUI/media/Icons/tools_up.dds")
		RedirectTexture("/esoui/art/treeicons/tools_disabled.dds", "FreshUI/media/Icons/tools_disabled.dds")
		RedirectTexture("/esoui/art/treeicons/achievements_indexicon_alliancewar_up.dds", "FreshUI/media/Icons/achievements_indexicon_alliancewar_up.dds")
		RedirectTexture("/esoui/art/treeicons/achievements_indexicon_champion_up.dds", "FreshUI/media/Icons/achievements_indexicon_champion_up.dds")
		RedirectTexture("/esoui/art/treeicons/achievements_indexicon_collections_up.dds", "FreshUI/media/Icons/achievements_indexicon_collections_up.dds")
		RedirectTexture("/esoui/art/treeicons/achievements_indexicon_crafting_up.dds", "FreshUI/media/Icons/achievements_indexicon_crafting_up.dds")
		RedirectTexture("/esoui/art/treeicons/achievements_indexicon_darkanchors_up.dds", "FreshUI/media/Icons/achievements_indexicon_darkanchors_up.dds")
		RedirectTexture("/esoui/art/treeicons/achievements_indexicon_dungeons_up.dds", "FreshUI/media/Icons/achievements_indexicon_dungeons_up.dds")
		RedirectTexture("/esoui/art/treeicons/achievements_indexicon_events_up.dds", "FreshUI/media/Icons/achievements_indexicon_events_up.dds")
		RedirectTexture("/esoui/art/treeicons/achievements_indexicon_exploration_up.dds", "FreshUI/media/Icons/achievements_indexicon_exploration_up.dds")
		RedirectTexture("/esoui/art/treeicons/achievements_indexicon_fishing_up.dds", "FreshUI/media/Icons/achievements_indexicon_fishing_up.dds")
		RedirectTexture("/esoui/art/treeicons/achievements_indexicon_general_up.dds", "FreshUI/media/Icons/achievements_indexicon_general_up.dds")
		RedirectTexture("/esoui/art/treeicons/achievements_indexicon_justice_up.dds", "FreshUI/media/Icons/achievements_indexicon_justice_up.dds")
		RedirectTexture("/esoui/art/treeicons/achievements_indexicon_prologue_up.dds", "FreshUI/media/Icons/achievements_indexicon_prologue_up.dds")
		RedirectTexture("/esoui/art/treeicons/achievements_indexicon_quests_up.dds", "FreshUI/media/Icons/achievements_indexicon_quests_up.dds")
		RedirectTexture("/esoui/art/treeicons/achievements_indexicon_skyshards_up.dds", "FreshUI/media/Icons/achievements_indexicon_skyshards_up.dds")
		RedirectTexture("/esoui/art/treeicons/achievements_indexicon_summary_up.dds", "FreshUI/media/Icons/achievements_indexicon_summary_up.dds")
		RedirectTexture("/esoui/art/treeicons/achievements_indexicon_veterandungeons_up.dds", "FreshUI/media/Icons/achievements_indexicon_veterandungeons_up.dds")
		RedirectTexture("/esoui/art/treeicons/collection_indexicon_abilityskins_up.dds", "FreshUI/media/Icons/collection_indexicon_abilityskins_up.dds")
		RedirectTexture("/esoui/art/treeicons/collection_indexicon_armor_up.dds", "FreshUI/media/Icons/collection_indexicon_armor_up.dds")
		RedirectTexture("/esoui/art/treeicons/collection_indexicon_armor_disabled.dds", "FreshUI/media/Icons/collection_indexicon_armor_disabled.dds")
		RedirectTexture("/esoui/art/treeicons/collection_indexicon_assistants_up.dds", "FreshUI/media/Icons/collection_indexicon_assistants_up.dds")
		RedirectTexture("/esoui/art/treeicons/collection_indexicon_customaction_up.dds", "FreshUI/media/Icons/collection_indexicon_customaction_up.dds")
		RedirectTexture("/esoui/art/treeicons/collection_indexicon_customaction_disabled.dds", "FreshUI/media/Icons/collection_indexicon_customaction_disabled.dds")
		RedirectTexture("/esoui/art/treeicons/collection_indexicon_dyes_up.dds", "FreshUI/media/Icons/collection_indexicon_dyes_up.dds")
		RedirectTexture("/esoui/art/treeicons/collection_indexicon_furnishings_up.dds", "FreshUI/media/Icons/collection_indexicon_furnishings_up.dds")
		RedirectTexture("/esoui/art/treeicons/collection_indexicon_housing_up.dds", "FreshUI/media/Icons/collection_indexicon_housing_up.dds")
		RedirectTexture("/esoui/art/treeicons/collection_indexicon_service_up.dds", "FreshUI/media/Icons/collection_indexicon_service_up.dds")
		RedirectTexture("/esoui/art/treeicons/collection_indexicon_service_disabled.dds", "FreshUI/media/Icons/collection_indexicon_service_disabled.dds")
		RedirectTexture("/esoui/art/treeicons/collection_indexicon_styleparlor_up.dds", "FreshUI/media/Icons/collection_indexicon_styleparlor_up.dds")
		RedirectTexture("/esoui/art/treeicons/collection_indexicon_upgrade_up.dds", "FreshUI/media/Icons/collection_indexicon_upgrade_up.dds")
		RedirectTexture("/esoui/art/treeicons/collection_indexicon_upgrade_disabled.dds", "FreshUI/media/Icons/collection_indexicon_upgrade_disabled.dds")
		RedirectTexture("/esoui/art/treeicons/collection_indexicon_weapons_up.dds", "FreshUI/media/Icons/collection_indexicon_weapons_up.dds")
		RedirectTexture("/esoui/art/treeicons/collection_indexicon_weapons_disabled.dds", "FreshUI/media/Icons/collection_indexicon_weapons_disabled.dds")
		RedirectTexture("/esoui/art/treeicons/collection_indexicon_weapons+armor_up.dds", "FreshUI/media/Icons/collection_indexicon_weapons+armor_up.dds")
		RedirectTexture("/esoui/art/treeicons/housing_indexicon_collections_up.dds", "FreshUI/media/Icons/housing_indexicon_collections_up.dds")
		RedirectTexture("/esoui/art/treeicons/housing_indexicon_conservatory_up.dds", "FreshUI/media/Icons/housing_indexicon_conservatory_up.dds")
		RedirectTexture("/esoui/art/treeicons/housing_indexicon_courtyard_up.dds", "FreshUI/media/Icons/housing_indexicon_courtyard_up.dds")
		RedirectTexture("/esoui/art/treeicons/housing_indexicon_dining_up.dds", "FreshUI/media/Icons/housing_indexicon_dining_up.dds")
		RedirectTexture("/esoui/art/treeicons/housing_indexicon_gallery_up.dds", "FreshUI/media/Icons/housing_indexicon_gallery_up.dds")
		RedirectTexture("/esoui/art/treeicons/housing_indexicon_hearth_up.dds", "FreshUI/media/Icons/housing_indexicon_hearth_up.dds")
		RedirectTexture("/esoui/art/treeicons/housing_indexicon_library_up.dds", "FreshUI/media/Icons/housing_indexicon_library_up.dds")
		RedirectTexture("/esoui/art/treeicons/housing_indexicon_misc_up.dds", "FreshUI/media/Icons/housing_indexicon_misc_up.dds")
		RedirectTexture("/esoui/art/treeicons/housing_indexicon_parlor_up.dds", "FreshUI/media/Icons/housing_indexicon_parlor_up.dds")
		RedirectTexture("/esoui/art/treeicons/housing_indexicon_shrine_up.dds", "FreshUI/media/Icons/housing_indexicon_shrine_up.dds")
		RedirectTexture("/esoui/art/treeicons/housing_indexicon_structures_up.dds", "FreshUI/media/Icons/housing_indexicon_structures_up.dds")
		RedirectTexture("/esoui/art/treeicons/housing_indexicon_suite_up.dds", "FreshUI/media/Icons/housing_indexicon_suite_up.dds")
		RedirectTexture("/esoui/art/treeicons/housing_indexicon_undercroft_up.dds", "FreshUI/media/Icons/housing_indexicon_undercroft_up.dds")
		RedirectTexture("/esoui/art/treeicons/housing_indexicon_weapons_up.dds", "FreshUI/media/Icons/housing_indexicon_weapons_up.dds")
		RedirectTexture("/esoui/art/treeicons/housing_indexicon_workshop_up.dds", "FreshUI/media/Icons/housing_indexicon_workshop_up.dds")
		RedirectTexture("/esoui/art/treeicons/journal_tabicon_antiquities_up.dds", "FreshUI/media/Icons/journal_tabicon_antiquities_up.dds")
		RedirectTexture("/esoui/art/treeicons/outfit_styles_up.dds", "FreshUI/media/Icons/outfit_styles_up.dds")
		RedirectTexture("/esoui/art/treeicons/outfit_styles_disabled.dds", "FreshUI/media/Icons/outfit_styles_disabled.dds")
		RedirectTexture("/esoui/art/treeicons/provisioner_indexicon_baked_up.dds", "FreshUI/media/Icons/provisioner_indexicon_baked_up.dds")
		RedirectTexture("/esoui/art/treeicons/provisioner_indexicon_baked_disabled.dds", "FreshUI/media/Icons/provisioner_indexicon_baked_disabled.dds")
		RedirectTexture("/esoui/art/treeicons/provisioner_indexicon_beer_up.dds", "FreshUI/media/Icons/provisioner_indexicon_beer_up.dds")
		RedirectTexture("/esoui/art/treeicons/provisioner_indexicon_beer_disabled.dds", "FreshUI/media/Icons/provisioner_indexicon_beer_disabled.dds")
		RedirectTexture("/esoui/art/treeicons/provisioner_indexicon_meat_up.dds", "FreshUI/media/Icons/provisioner_indexicon_meat_up.dds")
		RedirectTexture("/esoui/art/treeicons/provisioner_indexicon_meat_disabled.dds", "FreshUI/media/Icons/provisioner_indexicon_meat_disabled.dds")
		RedirectTexture("/esoui/art/treeicons/provisioner_indexicon_spirits_up.dds", "FreshUI/media/Icons/provisioner_indexicon_spirits_up.dds")
		RedirectTexture("/esoui/art/treeicons/provisioner_indexicon_spirits_disabled.dds", "FreshUI/media/Icons/provisioner_indexicon_spirits_disabled.dds")
		RedirectTexture("/esoui/art/treeicons/provisioner_indexicon_stew_up.dds", "FreshUI/media/Icons/provisioner_indexicon_stew_up.dds")
		RedirectTexture("/esoui/art/treeicons/provisioner_indexicon_wine_up.dds", "FreshUI/media/Icons/provisioner_indexicon_wine_up.dds")
		RedirectTexture("/esoui/art/treeicons/reconstruction_tabicon_arenagroup_up.dds", "FreshUI/media/Icons/reconstruction_tabicon_arenagroup_up.dds")
		RedirectTexture("/esoui/art/treeicons/provisioner_indexicon_wine_disabled.dds", "FreshUI/media/Icons/provisioner_indexicon_wine_disabled.dds")
		RedirectTexture("/esoui/art/treeicons/provisioner_indexicon_stew_disabled.dds", "FreshUI/media/Icons/provisioner_indexicon_stew_disabled.dds")
		RedirectTexture("/esoui/art/treeicons/reconstruction_tabicon_arenasolo_up.dds", "FreshUI/media/Icons/reconstruction_tabicon_arenasolo_up.dds")
		RedirectTexture("/esoui/art/treeicons/reconstruction_tabicon_dungeon_up.dds", "FreshUI/media/Icons/reconstruction_tabicon_dungeon_up.dds")
		RedirectTexture("/esoui/art/treeicons/reconstruction_tabicon_misc_up.dds", "FreshUI/media/Icons/reconstruction_tabicon_misc_up.dds")
		RedirectTexture("/esoui/art/treeicons/reconstruction_tabicon_trialgroup_up.dds", "FreshUI/media/Icons/reconstruction_tabicon_trialgroup_up.dds")
		RedirectTexture("/esoui/art/treeicons/reconstruction_tabicon_trialsolo_up.dds", "FreshUI/media/Icons/reconstruction_tabicon_trialsolo_up.dds")
		RedirectTexture("/esoui/art/treeicons/store_indexicon_bundle_up.dds", "FreshUI/media/Icons/store_indexicon_bundle_up.dds")
		RedirectTexture("/esoui/art/treeicons/store_indexicon_chapters_up.dds", "FreshUI/media/Icons/store_indexicon_chapters_up.dds")
		RedirectTexture("/esoui/art/treeicons/store_indexicon_characterupgrades_up.dds", "FreshUI/media/Icons/store_indexicon_characterupgrades_up.dds")
		RedirectTexture("/esoui/art/treeicons/store_indexicon_characterupgrades_disabled.dds", "FreshUI/media/Icons/store_indexicon_characterupgrades_disabled.dds")
		RedirectTexture("/esoui/art/treeicons/store_indexicon_consumables_up.dds", "FreshUI/media/Icons/store_indexicon_consumables_up.dds")
		RedirectTexture("/esoui/art/treeicons/store_indexicon_convenience_up.dds", "FreshUI/media/Icons/store_indexicon_convenience_up.dds")
		RedirectTexture("/esoui/art/treeicons/store_indexicon_costumes_up.dds", "FreshUI/media/Icons/store_indexicon_costumes_up.dds")
		RedirectTexture("/esoui/art/treeicons/store_indexicon_craftingmotiff_up.dds", "FreshUI/media/Icons/store_indexicon_craftingmotiff_up.dds")
		RedirectTexture("/esoui/art/treeicons/store_indexicon_crowncrates_up.dds", "FreshUI/media/Icons/store_indexicon_crowncrates_up.dds")
		RedirectTexture("/esoui/art/treeicons/store_indexicon_dlc_up.dds", "FreshUI/media/Icons/store_indexicon_dlc_up.dds")
		RedirectTexture("/esoui/art/treeicons/store_indexicon_dungdlc_up.dds", "FreshUI/media/Icons/store_indexicon_dungdlc_up.dds")
		RedirectTexture("/esoui/art/treeicons/store_indexicon_fragments_up.dds", "FreshUI/media/Icons/store_indexicon_fragments_up.dds")
		RedirectTexture("/esoui/art/treeicons/store_indexicon_mounts_up.dds", "FreshUI/media/Icons/store_indexicon_mounts_up.dds")
		RedirectTexture("/esoui/art/treeicons/store_indexicon_novelties_up.dds", "FreshUI/media/Icons/store_indexicon_novelties_up.dds")
		RedirectTexture("/esoui/art/treeicons/store_indexicon_promotion_up.dds", "FreshUI/media/Icons/store_indexicon_promotion_up.dds")
		RedirectTexture("/esoui/art/treeicons/store_indexicon_trophy_up.dds", "FreshUI/media/Icons/store_indexicon_trophy_up.dds")
		RedirectTexture("/esoui/art/treeicons/store_indexicon_vanitypets_up.dds", "FreshUI/media/Icons/store_indexicon_vanitypets_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_endlessdungeon_up.dds", "FreshUI/media/Icons/tutorial_endlessdungeon_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_adventuring_up.dds", "FreshUI/media/Icons/tutorial_idexicon_adventuring_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_ava_up.dds", "FreshUI/media/Icons/tutorial_idexicon_ava_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_battlegrounds_up.dds", "FreshUI/media/Icons/tutorial_idexicon_battlegrounds_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_blackwood_up.dds", "FreshUI/media/Icons/tutorial_idexicon_blackwood_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_charactercontrols_up.dds", "FreshUI/media/Icons/tutorial_idexicon_charactercontrols_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_charprogression_up.dds", "FreshUI/media/Icons/tutorial_idexicon_charprogression_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_combat_up.dds", "FreshUI/media/Icons/tutorial_idexicon_combat_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_contacts_up.dds", "FreshUI/media/Icons/tutorial_idexicon_contacts_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_crownstore_up.dds", "FreshUI/media/Icons/tutorial_idexicon_crownstore_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_cwc_up.dds", "FreshUI/media/Icons/tutorial_idexicon_cwc_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_darkbrotherhood_up.dds", "FreshUI/media/Icons/tutorial_idexicon_darkbrotherhood_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_deadlands_up.dds", "FreshUI/media/Icons/tutorial_idexicon_deadlands_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_death_up.dds", "FreshUI/media/Icons/tutorial_idexicon_death_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_dragonguard_up.dds", "FreshUI/media/Icons/tutorial_idexicon_dragonguard_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_elsweyr_up.dds", "FreshUI/media/Icons/tutorial_idexicon_elsweyr_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_emotes_up.dds", "FreshUI/media/Icons/tutorial_idexicon_emotes_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_firesong_up.dds", "FreshUI/media/Icons/tutorial_idexicon_firesong_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_firesong_disabled.dds", "FreshUI/media/Icons/tutorial_idexicon_firesong_disabled.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_fishing_up.dds", "FreshUI/media/Icons/tutorial_idexicon_fishing_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_gettingstarted_up.dds", "FreshUI/media/Icons/tutorial_idexicon_gettingstarted_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_groups_up.dds", "FreshUI/media/Icons/tutorial_idexicon_groups_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_guilds_up.dds", "FreshUI/media/Icons/tutorial_idexicon_guilds_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_highisle_up.dds", "FreshUI/media/Icons/tutorial_idexicon_highisle_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_magicweaponsarmor_up.dds", "FreshUI/media/Icons/tutorial_idexicon_magicweaponsarmor_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_morrowind_up.dds", "FreshUI/media/Icons/tutorial_idexicon_morrowind_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_mounts_up.dds", "FreshUI/media/Icons/tutorial_idexicon_mounts_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_murkmire_up.dds", "FreshUI/media/Icons/tutorial_idexicon_murkmire_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_necrom_up.dds", "FreshUI/media/Icons/tutorial_idexicon_necrom_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_necrom_disabled.dds", "FreshUI/media/Icons/tutorial_idexicon_necrom_disabled.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_summerset_up.dds", "FreshUI/media/Icons/tutorial_idexicon_summerset_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_thievesguild_up.dds", "FreshUI/media/Icons/tutorial_idexicon_thievesguild_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_timedactivities_up.dds", "FreshUI/media/Icons/tutorial_idexicon_timedactivities_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_tradeskills_up.dds", "FreshUI/media/Icons/tutorial_idexicon_tradeskills_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_uibasics_up.dds", "FreshUI/media/Icons/tutorial_idexicon_uibasics_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_idexicon_wrothgar_up.dds", "FreshUI/media/Icons/tutorial_idexicon_wrothgar_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_indexicon_greymoor_up.dds", "FreshUI/media/Icons/tutorial_indexicon_greymoor_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_indexicon_ic_up.dds", "FreshUI/media/Icons/tutorial_indexicon_ic_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_indexicon_markarth_up.dds", "FreshUI/media/Icons/tutorial_indexicon_markarth_up.dds")
		RedirectTexture("/esoui/art/treeicons/tutorial_indexicon_synergy_up.dds", "FreshUI/media/Icons/tutorial_indexicon_synergy_up.dds")
	-- Vendor
		RedirectTexture("/esoui/art/vendor/vendor_tabicon_buy_up.dds", "FreshUI/media/Icons/vendor_tabicon_buy_up.dds")
		RedirectTexture("/esoui/art/vendor/vendor_tabicon_buyback_up.dds", "FreshUI/media/Icons/vendor_tabicon_buyback_up.dds")
		RedirectTexture("/esoui/art/vendor/vendor_tabicon_fence_up.dds", "FreshUI/media/Icons/vendor_tabicon_fence_up.dds")
		RedirectTexture("/esoui/art/vendor/vendor_tabicon_repair_up.dds", "FreshUI/media/Icons/vendor_tabicon_repair_up.dds")
		RedirectTexture("/esoui/art/vendor/vendor_tabicon_sell_up.dds", "FreshUI/media/Icons/vendor_tabicon_sell_up.dds")
	-- Worldmap
		RedirectTexture("/esoui/art/worldmap/map_ava_tabicon_foodfarm_up.dds", "FreshUI/media/Icons/map_ava_tabicon_foodfarm_up.dds")
		RedirectTexture("/esoui/art/worldmap/map_ava_tabicon_keepsummary_up.dds", "FreshUI/media/Icons/map_ava_tabicon_keepsummary_up.dds")
		RedirectTexture("/esoui/art/worldmap/map_ava_tabicon_oremine_up.dds", "FreshUI/media/Icons/map_ava_tabicon_oremine_up.dds")
		RedirectTexture("/esoui/art/worldmap/map_ava_tabicon_resourcedefense_up.dds", "FreshUI/media/Icons/map_ava_tabicon_resourcedefense_up.dds")
		RedirectTexture("/esoui/art/worldmap/map_ava_tabicon_resourceproduction_up.dds", "FreshUI/media/Icons/map_ava_tabicon_resourceproduction_up.dds")
		RedirectTexture("/esoui/art/worldmap/map_ava_tabicon_woodmill_up.dds", "FreshUI/media/Icons/map_ava_tabicon_woodmill_up.dds")
		RedirectTexture("/esoui/art/worldmap/map_indexicon_filters_up.dds", "FreshUI/media/Icons/map_indexicon_filters_up.dds")
		RedirectTexture("/esoui/art/worldmap/map_indexicon_housing_up.dds", "FreshUI/media/Icons/map_indexicon_housing_up.dds")
		RedirectTexture("/esoui/art/worldmap/map_indexicon_key_up.dds", "FreshUI/media/Icons/map_indexicon_key_up.dds")
		RedirectTexture("/esoui/art/worldmap/map_indexicon_locations_up.dds", "FreshUI/media/Icons/map_indexicon_locations_up.dds")
		RedirectTexture("/esoui/art/worldmap/map_indexicon_quests_up.dds", "FreshUI/media/Icons/map_indexicon_quests_up.dds")
		RedirectTexture("/esoui/art/worldmap/mapnav_downarrow_up.dds", "FreshUI/media/Icons/mapnav_downarrow_up.dds")
		RedirectTexture("/esoui/art/worldmap/mapnav_downarrow_disabled.dds", "FreshUI/media/Icons/mapnav_downarrow_disabled.dds")
		RedirectTexture("/esoui/art/worldmap/mapnav_uparrow_up.dds", "FreshUI/media/Icons/mapnav_uparrow_up.dds")
		RedirectTexture("/esoui/art/worldmap/mapnav_uparrow_disabled.dds", "FreshUI/media/Icons/mapnav_uparrow_disabled.dds")
	-- Writ Advisor
		RedirectTexture("/esoui/art/writadvisor/advisor_tabicon_equip_up.dds", "FreshUI/media/Icons/advisor_tabicon_equip_up.dds")
		RedirectTexture("/esoui/art/writadvisor/advisor_tabicon_equip_disabled.dds", "FreshUI/media/Icons/advisor_tabicon_equip_disabled.dds")
		RedirectTexture("/esoui/art/writadvisor/advisor_tabicon_quests_up.dds", "FreshUI/media/Icons/advisor_tabicon_quests_up.dds")
		RedirectTexture("/esoui/art/writadvisor/advisor_tabicon_quests_disabled.dds", "FreshUI/media/Icons/advisor_tabicon_quests_disabled.dds")
	-- Tribute
		RedirectTexture("/esoui/art/tribute/tribute_indexicon_patron_up.dds", "FreshUI/media/Icons/tribute_indexicon_patron_up.dds")
		RedirectTexture("/esoui/art/tribute/tribute_indexicon_patron_neutral_up.dds", "FreshUI/media/Icons/tribute_indexicon_patron_neutral_up.dds")
		RedirectTexture("/esoui/art/tribute/tribute_tabicon_tribute_up.dds", "FreshUI/media/Icons/tribute_tabicon_tribute_up.dds")
		RedirectTexture("/esoui/art/tribute/tribute_tabicon_tribute_disabled.dds", "FreshUI/media/Icons/tribute_tabicon_tribute_disabled.dds")
	-- Tutorial
		RedirectTexture("/esoui/art/tutorial/achievements_indexicon_alliancewar_up.dds", "FreshUI/media/Icons/achievements_indexicon_alliancewar_up.dds")
		RedirectTexture("/esoui/art/tutorial/achievements_indexicon_collections_up.dds", "FreshUI/media/Icons/achievements_indexicon_collections_up.dds")
		RedirectTexture("/esoui/art/tutorial/achievements_indexicon_crafting_up.dds", "FreshUI/media/Icons/achievements_indexicon_crafting_up.dds")
		RedirectTexture("/esoui/art/tutorial/achievements_indexicon_darkanchors_up.dds", "FreshUI/media/Icons/achievements_indexicon_darkanchors_up.dds")
		RedirectTexture("/esoui/art/tutorial/achievements_indexicon_dungeons_up.dds", "FreshUI/media/Icons/achievements_indexicon_dungeons_up.dds")
		RedirectTexture("/esoui/art/tutorial/achievements_indexicon_exploration_up.dds", "FreshUI/media/Icons/achievements_indexicon_exploration_up.dds")
		RedirectTexture("/esoui/art/tutorial/achievements_indexicon_fishing_up.dds", "FreshUI/media/Icons/achievements_indexicon_fishing_up.dds")
		RedirectTexture("/esoui/art/tutorial/achievements_indexicon_general_up.dds", "FreshUI/media/Icons/achievements_indexicon_general_up.dds")
		RedirectTexture("/esoui/art/tutorial/achievements_indexicon_quests_up.dds", "FreshUI/media/Icons/achievements_indexicon_quests_up.dds")
		RedirectTexture("/esoui/art/tutorial/achievements_indexicon_skyshards_up.dds", "FreshUI/media/Icons/achievements_indexicon_skyshards_up.dds")
		RedirectTexture("/esoui/art/tutorial/achievements_indexicon_summary_up.dds", "FreshUI/media/Icons/achievements_indexicon_summary_up.dds")
		RedirectTexture("/esoui/art/tutorial/achievements_maximize_up.dds", "FreshUI/media/Icons/achievements_maximize_up.dds")
		RedirectTexture("/esoui/art/tutorial/achievements_minimize_up.dds", "FreshUI/media/Icons/achievements_minimize_up.dds")
		RedirectTexture("/esoui/art/tutorial/alchemy_tabicon_reagent_up.dds", "FreshUI/media/Icons/alchemy_tabicon_reagent_up.dds")
		RedirectTexture("/esoui/art/tutorial/alchemy_tabicon_solvent_up.dds", "FreshUI/media/Icons/alchemy_tabicon_solvent_up.dds")
		RedirectTexture("/esoui/art/tutorial/store_indexicon_vanitypets_up.dds", "FreshUI/media/Icons/store_indexicon_vanitypets_up.dds")
	-- Guild Ranks
		RedirectTexture("/esoui/art/icons/guildranks/guild_indexicon_leader_up.dds", "FreshUI/media/Icons/guild_indexicon_leader_up.dds")
		RedirectTexture("/esoui/art/icons/guildranks/guild_indexicon_invitee_up.dds", "FreshUI/media/Icons/guild_indexicon_invitee_up.dds")
		RedirectTexture("/esoui/art/icons/guildranks/guild_indexicon_member_up.dds", "FreshUI/media/Icons/guild_indexicon_member_up.dds")
		RedirectTexture("/esoui/art/icons/guildranks/guild_indexicon_misc01_up.dds", "FreshUI/media/Icons/guild_indexicon_misc01_up.dds")
		RedirectTexture("/esoui/art/icons/guildranks/guild_indexicon_misc02_up.dds", "FreshUI/media/Icons/guild_indexicon_misc02_up.dds")
		RedirectTexture("/esoui/art/icons/guildranks/guild_indexicon_misc03_up.dds", "FreshUI/media/Icons/guild_indexicon_misc03_up.dds")
		RedirectTexture("/esoui/art/icons/guildranks/guild_indexicon_misc04_up.dds", "FreshUI/media/Icons/guild_indexicon_misc04_up.dds")
		RedirectTexture("/esoui/art/icons/guildranks/guild_indexicon_misc05_up.dds", "FreshUI/media/Icons/guild_indexicon_misc05_up.dds")
		RedirectTexture("/esoui/art/icons/guildranks/guild_indexicon_misc06_up.dds", "FreshUI/media/Icons/guild_indexicon_misc06_up.dds")
		RedirectTexture("/esoui/art/icons/guildranks/guild_indexicon_misc07_up.dds", "FreshUI/media/Icons/guild_indexicon_misc07_up.dds")
		RedirectTexture("/esoui/art/icons/guildranks/guild_indexicon_misc08_up.dds", "FreshUI/media/Icons/guild_indexicon_misc08_up.dds")
		RedirectTexture("/esoui/art/icons/guildranks/guild_indexicon_misc09_up.dds", "FreshUI/media/Icons/guild_indexicon_misc09_up.dds")
		RedirectTexture("/esoui/art/icons/guildranks/guild_indexicon_misc10_up.dds", "FreshUI/media/Icons/guild_indexicon_misc10_up.dds")
		RedirectTexture("/esoui/art/icons/guildranks/guild_indexicon_misc11_up.dds", "FreshUI/media/Icons/guild_indexicon_misc11_up.dds")
		RedirectTexture("/esoui/art/icons/guildranks/guild_indexicon_misc12_up.dds", "FreshUI/media/Icons/guild_indexicon_misc12_up.dds")
		RedirectTexture("/esoui/art/icons/guildranks/guild_indexicon_officer_up.dds", "FreshUI/media/Icons/guild_indexicon_officer_up.dds")
		RedirectTexture("/esoui/art/icons/guildranks/guild_indexicon_recruit_up.dds", "FreshUI/media/Icons/guild_indexicon_recruit_up.dds")
	-- Emotes
		RedirectTexture("/esoui/art/icons/emotes/keyboard/emotecategoryicon_ceremonial_up.dds", "FreshUI/media/Icons/emotecategoryicon_ceremonial_up.dds")
		RedirectTexture("/esoui/art/icons/emotes/keyboard/emotecategoryicon_cheersjeers_up.dds", "FreshUI/media/Icons/emotecategoryicon_cheersjeers_up.dds")
		RedirectTexture("/esoui/art/icons/emotes/keyboard/emotecategoryicon_collected_up.dds", "FreshUI/media/Icons/emotecategoryicon_collected_up.dds")
		RedirectTexture("/esoui/art/icons/emotes/keyboard/emotecategoryicon_directions_up.dds", "FreshUI/media/Icons/emotecategoryicon_directions_up.dds")
		RedirectTexture("/esoui/art/icons/emotes/keyboard/emotecategoryicon_eatdrink_up.dds", "FreshUI/media/Icons/emotecategoryicon_eatdrink_up.dds")
		RedirectTexture("/esoui/art/icons/emotes/keyboard/emotecategoryicon_emotion_up.dds", "FreshUI/media/Icons/emotecategoryicon_emotion_up.dds")
		RedirectTexture("/esoui/art/icons/emotes/keyboard/emotecategoryicon_entertain_up.dds", "FreshUI/media/Icons/emotecategoryicon_entertain_up.dds")
		RedirectTexture("/esoui/art/icons/emotes/keyboard/emotecategoryicon_fidget_up.dds", "FreshUI/media/Icons/emotecategoryicon_fidget_up.dds")
		RedirectTexture("/esoui/art/icons/emotes/keyboard/emotecategoryicon_perpetual_up.dds", "FreshUI/media/Icons/emotecategoryicon_perpetual_up.dds")
		RedirectTexture("/esoui/art/icons/emotes/keyboard/emotecategoryicon_personality_up.dds", "FreshUI/media/Icons/emotecategoryicon_personality_up.dds")
		RedirectTexture("/esoui/art/icons/emotes/keyboard/emotecategoryicon_physical_up.dds", "FreshUI/media/Icons/emotecategoryicon_physical_up.dds")
		RedirectTexture("/esoui/art/icons/emotes/keyboard/emotecategoryicon_prop_up.dds", "FreshUI/media/Icons/emotecategoryicon_prop_up.dds")
		RedirectTexture("/esoui/art/icons/emotes/keyboard/emotecategoryicon_quickchat_up.dds", "FreshUI/media/Icons/emotecategoryicon_quickchat_up.dds")
		RedirectTexture("/esoui/art/icons/emotes/keyboard/emotecategoryicon_social_up.dds", "FreshUI/media/Icons/emotecategoryicon_social_up.dds")
	-- Character Create
		RedirectTexture("/esoui/art/charactercreate/charactercreate_aldmeriicon_up.dds", "FreshUI/media/Icons/charactercreate_aldmeriicon_up.dds")
		RedirectTexture("/esoui/art/charactercreate/charactercreate_altmericon_up.dds", "FreshUI/media/Icons/charactercreate_altmericon_up.dds")
		RedirectTexture("/esoui/art/charactercreate/charactercreate_arcanisticon_up.dds", "FreshUI/media/Icons/charactercreate_arcanisticon_up.dds")
		RedirectTexture("/esoui/art/charactercreate/charactercreate_argonianicon_up.dds", "FreshUI/media/Icons/charactercreate_argonianicon_up.dds")
		RedirectTexture("/esoui/art/charactercreate/charactercreate_bosmericon_up.dds", "FreshUI/media/Icons/charactercreate_bosmericon_up.dds")
		RedirectTexture("/esoui/art/charactercreate/charactercreate_bretonicon_up.dds", "FreshUI/media/Icons/charactercreate_bretonicon_up.dds")
		RedirectTexture("/esoui/art/charactercreate/charactercreate_daggerfallicon_up.dds", "FreshUI/media/Icons/charactercreate_daggerfallicon_up.dds")
		RedirectTexture("/esoui/art/charactercreate/charactercreate_dragonguardicon_up.dds", "FreshUI/media/Icons/charactercreate_dragonguardicon_up.dds")
		RedirectTexture("/esoui/art/charactercreate/charactercreate_dunmericon_up.dds", "FreshUI/media/Icons/charactercreate_dunmericon_up.dds")
		RedirectTexture("/esoui/art/charactercreate/charactercreate_imperialicon_up.dds", "FreshUI/media/Icons/charactercreate_imperialicon_up.dds")
		RedirectTexture("/esoui/art/charactercreate/charactercreate_ebonhearticon_up.dds", "FreshUI/media/Icons/charactercreate_ebonhearticon_up.dds")
		RedirectTexture("/esoui/art/charactercreate/charactercreate_khajiiticon_up.dds", "FreshUI/media/Icons/charactercreate_khajiiticon_up.dds")
		RedirectTexture("/esoui/art/charactercreate/charactercreate_necromancericon_up.dds", "FreshUI/media/Icons/charactercreate_necromancericon_up.dds")
		RedirectTexture("/esoui/art/charactercreate/charactercreate_nightbladeicon_up.dds", "FreshUI/media/Icons/charactercreate_nightbladeicon_up.dds")
		RedirectTexture("/esoui/art/charactercreate/charactercreate_nordicon_up.dds", "FreshUI/media/Icons/charactercreate_nordicon_up.dds")
		RedirectTexture("/esoui/art/charactercreate/charactercreate_orcicon_up.dds", "FreshUI/media/Icons/charactercreate_orcicon_up.dds")
		RedirectTexture("/esoui/art/charactercreate/charactercreate_redguardicon_up.dds", "FreshUI/media/Icons/charactercreate_redguardicon_up.dds")
		RedirectTexture("/esoui/art/charactercreate/charactercreate_sorceroricon_up.dds", "FreshUI/media/Icons/charactercreate_sorceroricon_up.dds")
		RedirectTexture("/esoui/art/charactercreate/charactercreate_templaricon_up.dds", "FreshUI/media/Icons/charactercreate_templaricon_up.dds")
		RedirectTexture("/esoui/art/charactercreate/charactercreate_wardenicon_up.dds", "FreshUI/media/Icons/charactercreate_wardenicon_up.dds")
	-- Chat
		RedirectTexture("/esoui/art/chatwindow/chat_addtab_up.dds", "FreshUI/media/Chat/chat_addtab_up.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_addtab_down.dds", "FreshUI/media/Chat/chat_addtab_down.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_addtab_disabled.dds", "FreshUI/media/Chat/chat_addtab_disabled.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_cs_up.dds", "FreshUI/media/Chat/chat_cs_up.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_cs_down.dds", "FreshUI/media/Chat/chat_cs_down.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_cs_echo.dds", "FreshUI/media/Chat/chat_cs_echo.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_friendsonline_up.dds", "FreshUI/media/Chat/chat_friendsonline_up.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_friendsonline_down.dds", "FreshUI/media/Chat/chat_friendsonline_down.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_mail_down.dds", "FreshUI/media/Chat/chat_mail_down.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_mail_up.dds", "FreshUI/media/Chat/chat_mail_up.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_notification_up.dds", "FreshUI/media/Chat/chat_notification_up.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_notification_down.dds", "FreshUI/media/Chat/chat_notification_down.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_notification_echo.dds", "FreshUI/media/Chat/chat_notification_echo.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_options_down.dds", "FreshUI/media/Chat/chat_options_down.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_options_up.dds", "FreshUI/media/Chat/chat_options_up.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_overflowarrow_down.dds", "FreshUI/media/Chat/chat_overflowarrow_down.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_overflowarrow_up.dds", "FreshUI/media/Chat/chat_overflowarrow_up.dds")
		RedirectTexture("/esoui/art/chatwindow/maximize_up.dds", "FreshUI/media/Chat/maximize_up.dds")
		RedirectTexture("/esoui/art/chatwindow/maximize_down.dds", "FreshUI/media/Chat/maximize_down.dds")
		RedirectTexture("/esoui/art/chatwindow/minimize_down.dds", "FreshUI/media/Chat/minimize_down.dds")
		RedirectTexture("/esoui/art/chatwindow/minimize_up.dds", "FreshUI/media/Chat/minimize_up.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_scrollbar_downarrow_disabled.dds", "FreshUI/media/Chat/chat_scrollbar_downarrow_disabled.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_scrollbar_downarrow_up.dds", "FreshUI/media/Chat/chat_scrollbar_downarrow_up.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_scrollbar_downarrow_down.dds", "FreshUI/media/Chat/chat_scrollbar_downarrow_down.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_scrollbar_endarrow_up.dds", "FreshUI/media/Chat/chat_scrollbar_endarrow_up.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_scrollbar_endarrow_down.dds", "FreshUI/media/Chat/chat_scrollbar_endarrow_down.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_scrollbar_endarrow_disabled.dds", "FreshUI/media/Chat/chat_scrollbar_endarrow_disabled.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_scrollbar_uparrow_up.dds", "FreshUI/media/Chat/chat_scrollbar_uparrow_up.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_scrollbar_uparrow_down.dds", "FreshUI/media/Chat/chat_scrollbar_uparrow_down.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_scrollbar_uparrow_disabled.dds", "FreshUI/media/Chat/chat_scrollbar_uparrow_disabled.dds")
	-- Scribing
		RedirectTexture("/esoui/art/crafting/scribing_tabicon_recent_up.dds", "FreshUI/media/Icons/scribing_tabicon_recent_up.dds")
		RedirectTexture("/esoui/art/crafting/scribing_tabicon_recent_disabled.dds", "FreshUI/media/Icons/scribing_tabicon_recent_disabled.dds")
		RedirectTexture("/esoui/art/crafting/scribing_tabicon_scribing_up.dds", "FreshUI/media/Icons/scribing_tabicon_scribing_up.dds")
		RedirectTexture("/esoui/art/crafting/scribing_tabicon_scribing_disabled.dds", "FreshUI/media/Icons/scribing_tabicon_scribing_disabled.dds")
		RedirectTexture("/esoui/art/skills/keyboard/skills_tabicon_scribinglibrary_up.dds", "FreshUI/media/Icons/skills_tabicon_scribinglibrary_up.dds")
		RedirectTexture("/esoui/art/skills/keyboard/skills_tabicon_scribinglibrary_disabled.dds", "FreshUI/media/Icons/skills_tabicon_scribinglibrary_disabled.dds")
		RedirectTexture("/esoui/art/skills/keyboard/skills_tabicon_skills_up.dds", "FreshUI/media/Icons/skills_tabicon_skills_up.dds")
		savedVariables.FreshIcons = true
	else
		savedVariables.FreshIcons = false
	end
end

local function getGlossyBars()
	return savedVariables.GlossyBars
end

local function setGlossyBars(v)
	if(v == true) then
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_dynamic_fill_gloss.dds", "FreshUI/media/AttributeBars/attributebar_dynamic_fill_gloss.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_dynamic_leadingedge_gloss.dds", "FreshUI/media/AttributeBars/attributebar_dynamic_leadingedge_gloss.dds")
		RedirectTexture("/esoui/art/unitattributevisualizer/targetbar_dynamic_fill_gloss.dds", "FreshUI/media/AttributeBars/targetbar_dynamic_fill_gloss.dds")
		RedirectTexture("/esoui/art/unitattributevisualizer/targetbar_dynamic_leadingedge_gloss.dds", "FreshUI/media/AttributeBars/targetbar_dynamic_leadingedge_gloss.dds")
		RedirectTexture("/esoui/art/miscellaneous/progressbar_genericfill_leadingedge_gloss.dds", "FreshUI/media/AttributeBars/progressbar_large_genericfill_leadingedge_gloss.dds")
		RedirectTexture("/esoui/art/miscellaneous/progressbar_genericfill_gloss.dds", "FreshUI/media/AttributeBars/progressbar_large_genericfill_gloss.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_small_fill_center_gloss.dds", "FreshUI/media/AttributeBars/attributebar_small_fill_center_gloss.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_small_fill_leadingedge_gloss.dds", "FreshUI/media/AttributeBars/attributebar_small_fill_leadingedge_gloss.dds")
		RedirectTexture("/esoui/art/itemtooltip/item_chargemeter_bar_leadingedge_gloss.dds", "FreshUI/media/Menus/item_chargemeter_bar_leadingedge_gloss.dds")
		RedirectTexture("/esoui/art/itemtooltip/item_chargemeter_bar_genericfill_gloss.dds", "FreshUI/media/Menus/item_chargemeter_bar_genericfill_gloss.dds")
	-- Status Bars in Skill Window
		RedirectTexture("esoui/art/stats/stats_magickabar.dds", "FreshUI/media/AttributeBars/stats_magickabar.dds")
		RedirectTexture("esoui/art/stats/stats_staminabar.dds", "FreshUI/media/AttributeBars/stats_staminabar.dds")
		RedirectTexture("esoui/art/stats/stats_healthbar.dds", "FreshUI/media/AttributeBars/stats_healthbar.dds")
		savedVariables.GlossyBars = true
		else
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_dynamic_fill_gloss.dds", "FreshUI/media/blank.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_dynamic_leadingedge_gloss.dds", "FreshUI/media/blank.dds")
		RedirectTexture("/esoui/art/unitattributevisualizer/targetbar_dynamic_fill_gloss.dds", "FreshUI/media/blank.dds")
		RedirectTexture("/esoui/art/unitattributevisualizer/targetbar_dynamic_leadingedge_gloss.dds", "FreshUI/media/blank.dds")
		RedirectTexture("/esoui/art/miscellaneous/progressbar_genericfill_leadingedge_gloss.dds", "FreshUI/media/blank.dds")
		RedirectTexture("/esoui/art/miscellaneous/progressbar_genericfill_gloss.dds", "FreshUI/media/blank.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_small_fill_center_gloss.dds", "FreshUI/media/blank.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_small_fill_leadingedge_gloss.dds", "FreshUI/media/blank.dds")
		RedirectTexture("/esoui/art/itemtooltip/item_chargemeter_bar_leadingedge_gloss.dds", "FreshUI/media/blank.dds")
		RedirectTexture("/esoui/art/itemtooltip/item_chargemeter_bar_genericfill_gloss.dds", "FreshUI/media/blank.dds")	
	-- Status Bars in Skill Window
		RedirectTexture("esoui/art/stats/stats_magickabar.dds", "FreshUI/media/AttributeBars/stats_magickabar_nogloss.dds")
		RedirectTexture("esoui/art/stats/stats_staminabar.dds", "FreshUI/media/AttributeBars/stats_staminabar_nogloss.dds")
		RedirectTexture("esoui/art/stats/stats_healthbar.dds", "FreshUI/media/AttributeBars/stats_healthbar_nogloss.dds")
		savedVariables.GlossyBars = false
	end
end

local function getRoundedTooltips()
	return savedVariables.RoundedTooltips
end
	
local function setRoundedTooltips(v)
	if(v == true) then
		RedirectTexture("esoui/art/tooltips/ui-border.dds", "FreshUI/media/Menus/tooltipborder.dds")
		RedirectTexture("esoui/art/tooltips/ui-border-red.dds", "FreshUI/media/Menus/tooltipborder_red.dds")
		savedVariables.RoundedTooltips = true
	else
		RedirectTexture("esoui/art/tooltips/ui-border.dds", "FreshUI/media/Menus/tooltip_border_square.dds")
		RedirectTexture("esoui/art/tooltips/ui-border-red.dds", "FreshUI/media/Menus/tooltip_border_red_square.dds")
		savedVariables.RoundedTooltips = false
	end
end

local function getFreshButtons()
	return savedVariables.FreshButtons
end
	
local function setFreshButtons(v)
	if(v == true) then
		RedirectTexture("/esoui/art/buttons/accept_up.dds", "FreshUI/media/Buttons/accept_up.dds")
		RedirectTexture("/esoui/art/buttons/accept_down.dds", "FreshUI/media/Buttons/accept_down.dds")
		RedirectTexture("/esoui/art/buttons/cancel_up.dds", "FreshUI/media/Buttons/cancel_up.dds")
		RedirectTexture("/esoui/art/buttons/cancel_down.dds", "FreshUI/media/Buttons/cancel_down.dds")
		RedirectTexture("/esoui/art/buttons/checkbox_checked.dds", "FreshUI/media/Buttons/checkbox_checked.dds")
		RedirectTexture("/esoui/art/buttons/checkbox_checked_disabled.dds", "FreshUI/media/Buttons/checkbox_checked_disabled.dds")
		RedirectTexture("/esoui/art/buttons/checkbox_disabled.dds", "FreshUI/media/Buttons/checkbox_disabled.dds")
		RedirectTexture("/esoui/art/buttons/checkbox_indeterminate.dds", "FreshUI/media/Buttons/checkbox_indeterminate.dds")
		RedirectTexture("/esoui/art/buttons/checkbox_unchecked.dds", "FreshUI/media/Buttons/checkbox_unchecked.dds")
		RedirectTexture("/esoui/art/buttons/closebutton_up.dds", "FreshUI/media/Buttons/closebutton_up.dds")
		RedirectTexture("/esoui/art/buttons/closebutton_down.dds", "FreshUI/media/Buttons/closebutton_down.dds")
		RedirectTexture("/esoui/art/buttons/closebutton_disabled.dds", "FreshUI/media/Buttons/closebutton_disabled.dds")
		RedirectTexture("/esoui/art/buttons/decline_up.dds", "FreshUI/media/Buttons/decline_up.dds")
		RedirectTexture("/esoui/art/buttons/decline_down.dds", "FreshUI/media/Buttons/decline_down.dds")
		RedirectTexture("/esoui/art/buttons/dropbox_arrow_normal.dds", "FreshUI/media/Buttons/dropbox_arrow_normal.dds")
		RedirectTexture("/esoui/art/buttons/dropbox_arrow_disabled.dds", "FreshUI/media/Buttons/dropbox_arrow_disabled.dds")
		RedirectTexture("/esoui/art/buttons/edit_cancel_up.dds", "FreshUI/media/Buttons/edit_cancel_up.dds")
		RedirectTexture("/esoui/art/buttons/edit_cancel_down.dds", "FreshUI/media/Buttons/edit_cancel_down.dds")
		RedirectTexture("/esoui/art/buttons/edit_up.dds", "FreshUI/media/Buttons/edit_up.dds")
		RedirectTexture("/esoui/art/buttons/edit_down.dds", "FreshUI/media/Buttons/edit_down.dds")
		RedirectTexture("/esoui/art/buttons/edit_disabled.dds", "FreshUI/media/Buttons/edit_disabled.dds")
		RedirectTexture("/esoui/art/buttons/edit_save_up.dds", "FreshUI/media/Buttons/edit_save_up.dds")
		RedirectTexture("/esoui/art/buttons/edit_save_down.dds", "FreshUI/media/Buttons/edit_save_down.dds")
		RedirectTexture("/esoui/art/buttons/edit_save_disabled.dds", "FreshUI/media/Buttons/edit_save_disabled.dds")
		RedirectTexture("/esoui/art/buttons/info_up.dds", "FreshUI/media/Buttons/info_up.dds")
		RedirectTexture("/esoui/art/buttons/info_down.dds", "FreshUI/media/Buttons/info_down.dds")
		RedirectTexture("/esoui/art/buttons/info_disabled.dds", "FreshUI/media/Buttons/info_disabled.dds")
		RedirectTexture("/esoui/art/buttons/large_downarrow_up.dds", "FreshUI/media/Buttons/large_downarrow_up.dds")
		RedirectTexture("/esoui/art/buttons/large_downarrow_down.dds", "FreshUI/media/Buttons/large_downarrow_down.dds")
		RedirectTexture("/esoui/art/buttons/large_downarrow_disabled.dds", "FreshUI/media/Buttons/large_downarrow_disabled.dds")
		RedirectTexture("/esoui/art/buttons/large_leftarrow_up.dds", "FreshUI/media/Buttons/large_leftarrow_up.dds")
		RedirectTexture("/esoui/art/buttons/large_leftarrow_down.dds", "FreshUI/media/Buttons/large_leftarrow_down.dds")
		RedirectTexture("/esoui/art/buttons/large_leftarrow_disabled.dds", "FreshUI/media/Buttons/large_leftarrow_disabled.dds")
		RedirectTexture("/esoui/art/buttons/large_leftdoublearrow_up.dds", "FreshUI/media/Buttons/large_leftdoublearrow_up.dds")
		RedirectTexture("/esoui/art/buttons/large_leftdoublearrow_down.dds", "FreshUI/media/Buttons/large_leftdoublearrow_down.dds")
		RedirectTexture("/esoui/art/buttons/large_leftdoublearrow_disabled.dds", "FreshUI/media/Buttons/large_leftdoublearrow_disabled.dds")
		RedirectTexture("/esoui/art/buttons/large_rightarrow_up.dds", "FreshUI/media/Buttons/large_rightarrow_up.dds")
		RedirectTexture("/esoui/art/buttons/large_rightarrow_down.dds", "FreshUI/media/Buttons/large_rightarrow_down.dds")
		RedirectTexture("/esoui/art/buttons/large_rightarrow_disabled.dds", "FreshUI/media/Buttons/large_rightarrow_disabled.dds")
		RedirectTexture("/esoui/art/buttons/large_rightdoublearrow_up.dds", "FreshUI/media/Buttons/large_rightdoublearrow_up.dds")
		RedirectTexture("/esoui/art/buttons/large_rightdoublearrow_down.dds", "FreshUI/media/Buttons/large_rightdoublearrow_down.dds")
		RedirectTexture("/esoui/art/buttons/large_rightdoublearrow_disabled.dds", "FreshUI/media/Buttons/large_rightdoublearrow_disabled.dds")
		RedirectTexture("/esoui/art/buttons/large_uparrow_up.dds", "FreshUI/media/Buttons/large_uparrow_up.dds")
		RedirectTexture("/esoui/art/buttons/large_uparrow_down.dds", "FreshUI/media/Buttons/large_uparrow_down.dds")
		RedirectTexture("/esoui/art/buttons/large_uparrow_disabled.dds", "FreshUI/media/Buttons/large_uparrow_disabled.dds")
		RedirectTexture("/esoui/art/buttons/leftarrow_up.dds", "FreshUI/media/Buttons/leftarrow_up.dds")
		RedirectTexture("/esoui/art/buttons/leftarrow_down.dds", "FreshUI/media/Buttons/leftarrow_down.dds")
		RedirectTexture("/esoui/art/buttons/leftarrow_disabled.dds", "FreshUI/media/Buttons/leftarrow_disabled.dds")
		RedirectTexture("/esoui/art/buttons/log_out_up.dds", "FreshUI/media/Buttons/log_out_up.dds")
		RedirectTexture("/esoui/art/buttons/log_out_down.dds", "FreshUI/media/Buttons/log_out_down.dds")
		RedirectTexture("/esoui/art/buttons/minus_up.dds", "FreshUI/media/Buttons/minus_up.dds")
		RedirectTexture("/esoui/art/buttons/minus_down.dds", "FreshUI/media/Buttons/minus_down.dds")
		RedirectTexture("/esoui/art/buttons/minus_disabled.dds", "FreshUI/media/Buttons/minus_disabled.dds")
		RedirectTexture("/esoui/art/buttons/plus_up.dds", "FreshUI/media/Buttons/plus_up.dds")
		RedirectTexture("/esoui/art/buttons/plus_down.dds", "FreshUI/media/Buttons/plus_down.dds")
		RedirectTexture("/esoui/art/buttons/plus_disabled.dds", "FreshUI/media/Buttons/plus_disabled.dds")
		RedirectTexture("/esoui/art/buttons/pointsminus_up.dds", "FreshUI/media/Buttons/pointsminus_up.dds")
		RedirectTexture("/esoui/art/buttons/pointsminus_down.dds", "FreshUI/media/Buttons/pointsminus_down.dds")
		RedirectTexture("/esoui/art/buttons/pointsminus_disabled.dds", "FreshUI/media/Buttons/pointsminus_disabled.dds")
		RedirectTexture("/esoui/art/buttons/pointsplus_up.dds", "FreshUI/media/Buttons/pointsplus_up.dds")
		RedirectTexture("/esoui/art/buttons/pointsplus_down.dds", "FreshUI/media/Buttons/pointsplus_down.dds")
		RedirectTexture("/esoui/art/buttons/pointsplus_disabled.dds", "FreshUI/media/Buttons/pointsplus_disabled.dds")
		RedirectTexture("/esoui/art/buttons/rightarrow_up.dds", "FreshUI/media/Buttons/rightarrow_up.dds")
		RedirectTexture("/esoui/art/buttons/rightarrow_down.dds", "FreshUI/media/Buttons/rightarrow_down.dds")
		RedirectTexture("/esoui/art/buttons/rightarrow_disabled.dds", "FreshUI/media/Buttons/rightarrow_disabled.dds")
		RedirectTexture("/esoui/art/buttons/scrollbox_downarrow_up.dds", "FreshUI/media/Buttons/scrollbox_downarrow_up.dds")
		RedirectTexture("/esoui/art/buttons/scrollbox_downarrow_down.dds", "FreshUI/media/Buttons/scrollbox_downarrow_down.dds")
		RedirectTexture("/esoui/art/buttons/scrollbox_downarrow_up_disabled.dds", "FreshUI/media/Buttons/scrollbox_downarrow_up_disabled.dds")
		RedirectTexture("/esoui/art/buttons/scrollbox_uparrow_up.dds", "FreshUI/media/Buttons/scrollbox_uparrow_up.dds")
		RedirectTexture("/esoui/art/buttons/scrollbox_uparrow_down.dds", "FreshUI/media/Buttons/scrollbox_uparrow_down.dds")
		RedirectTexture("/esoui/art/buttons/scrollbox_uparrow_up_disabled.dds", "FreshUI/media/Buttons/scrollbox_uparrow_up_disabled.dds")
		RedirectTexture("/esoui/art/buttons/smoothsliderbutton_up.dds", "FreshUI/media/Buttons/smoothsliderbutton_up.dds")
		RedirectTexture("/esoui/art/buttons/smoothsliderbutton_down.dds", "FreshUI/media/Buttons/smoothsliderbutton_down.dds")
		RedirectTexture("/esoui/art/buttons/tree_closed_up.dds", "FreshUI/media/Buttons/tree_closed_up.dds")
		RedirectTexture("/esoui/art/buttons/tree_closed_down.dds", "FreshUI/media/Buttons/tree_closed_down.dds")
		RedirectTexture("/esoui/art/buttons/tree_closed_disabled.dds", "FreshUI/media/Buttons/tree_closed_disabled.dds")
		RedirectTexture("/esoui/art/buttons/tree_open_up.dds", "FreshUI/media/Buttons/tree_open_up.dds")
		RedirectTexture("/esoui/art/buttons/tree_open_down.dds", "FreshUI/media/Buttons/tree_open_down.dds")
		RedirectTexture("/esoui/art/buttons/tree_open_disabled.dds", "FreshUI/media/Buttons/tree_open_disabled.dds")
		savedVariables.FreshButtons = true
	else
		savedVariables.FreshButtons = false
	end
end

local function initializeFreshUIAddon()

	setRounded_Skill_Borders(savedVariables.Rounded_Skill_Borders)
	setHide_Weapon_Swap(savedVariables.Hide_Weapon_Swap_Icon)
	setBackground(savedVariables.Background)
	setFreshIcons(savedVariables.FreshIcons)
	setGlossyBars(savedVariables.GlossyBars)
	setRoundedTooltips(savedVariables.RoundedTooltips)
	setFreshButtons(savedVariables.FreshButtons)

	local LAM = LibAddonMenu2
	local panelName = "FreshUIOptions"

	local panelData = {
		type = "panel",
		name = "FreshUI",
		author = "|c66ccff@Yosemite-JK|r",
		version = "1.3.0",
		registerForDefaults = true,
		registerForRefresh = true,
		slashCommand = "/freshui",
	}

	local optionsData = {
		[1] = {
			type = "description",
			text = "Changes to settings will only take effect after a complete restart of the game."
		},
		[2] = {
			type = "header",
			name = "Settings"
		},
		[3] = {
			type = "checkbox",
			name = "Rounded Skill Frames",
			tooltip = "Select style of skill frames ",
			getFunc = function() return getRounded_Skill_Borders() end,
			setFunc = function(value) setRounded_Skill_Borders(value) end,
		},
		[4] = {
			type = "checkbox",
			name = "Hide Weapon Swap Icon",
			tooltip = "Hides weapon swap icon in action bar",
			getFunc = function() return getHide_Weapon_Swap() end,
			setFunc = function(value) setHide_Weapon_Swap(value) end,
		},
		[5] = {
			type = "dropdown",
			name = "Background",
			tooltip = "Select windows background style",
			choices = {"Smooth", "Sharp", "Default"},
			getFunc = function() return getBackground() end,
			setFunc = function(value) setBackground(value) end,
		},
		[6] = {
			type = "checkbox",
			name = "FreshUI Icons",
			tooltip = "Select new or default icons",
			getFunc = function() return getFreshIcons() end,
			setFunc = function(value) setFreshIcons(value) end,
		},
		[7] = {
			type = "checkbox",
			name = "Glossy Bars",
			tooltip = "Gloss effect on attribute, target and progress bars",
			getFunc = function() return getGlossyBars() end,
			setFunc = function(value) setGlossyBars(value) end,
		},
		[8] = {
			type = "checkbox",
			name = "Rounded Tooltips",
			tooltip = "Select between rounded and square styled tooltips",
			getFunc = function() return getRoundedTooltips() end,
			setFunc = function(value) setRoundedTooltips(value) end,
		},
		[9] = {
			type = "checkbox",
			name = "FreshUI Buttons",
			tooltip = "Select new or default buttons",
			getFunc = function() return getFreshButtons() end,
			setFunc = function(value) setFreshButtons(value) end,
		}
	}

	local panel = LAM:RegisterAddonPanel(panelName, panelData)
	LAM:RegisterOptionControls(panelName, optionsData)
end

function FreshUI.OnAddOnLoaded(event, name)
	if name ~= "FreshUI" then return end
	EVENT_MANAGER:UnregisterForEvent("FreshUI", EVENT_ADD_ON_LOADED)

	local defaults = {
		Rounded_Skill_Borders = false,
		Hide_Weapon_Swap_Icon = true,
		Background = "Smooth",
		FreshIcons = true,
		GlossyBars = true,
		RoundedTooltips = true,
		FreshButtons = true
	}
	savedVariables = ZO_SavedVars:NewAccountWide('FreshUIVars', 1, nil, defaults)

	initializeFreshUIAddon()
end

EVENT_MANAGER:RegisterForEvent(FreshUI.name, EVENT_ADD_ON_LOADED, FreshUI.OnAddOnLoaded)

-- Hide Action Bar Keybind Background, Hide Action Bar Weapon Swap Icon
		ZO_ActionBar1KeybindBG:SetAlpha(0)
-- Action Bar
		RedirectTexture("esoui/art/actionbar/abilityframe_buff.dds", "FreshUI/media/ActionBar/abilityframe_buff.dds")
		RedirectTexture("esoui/art/actionbar/abilityframe_debuff.dds", "FreshUI/media/ActionBar/abilityframe_debuff.dds")
		RedirectTexture("esoui/art/actionbar/abilityinset.dds", "FreshUI/media/ActionBar/abilityinset.dds")
		RedirectTexture("/esoui/art/actionbar/backrow_abilityframe_notimer.dds", "FreshUI/ActionBar/media/backrow_abilityframe_notimer.dds")	
		RedirectTexture("/esoui/art/actionbar/backrow_timerbar.dds", "FreshUI/media/ActionBar/backrow_timerbar.dds")
		RedirectTexture("/esoui/art/actionbar/abilitycooldowninsert.dds", "FreshUI/media/ActionBar/abilitycooldowninsert.dds")
		RedirectTexture("/esoui/art/actionbar/quickslotbg.dds", "FreshUI/media/ActionBar/quickslotbg.dds")
		RedirectTexture("/esoui/art/actionbar/ability_ultimate_framedecobg.dds", "FreshUI/media/ActionBar/ability_ultimate_framedecobg.dds")
		RedirectTexture("/esoui/art/progression/abilityframe_filled.dds", "FreshUI/media/ActionBar/abilityframe_filled.dds")
-- Passive Ablity Borders
		RedirectTexture("esoui/art/actionbar/passiveabilityframe_round_down.dds", "FreshUI/media/ActionBar/passiveabilityframe_round_down.dds")
		RedirectTexture("esoui/art/actionbar/passiveabilityframe_round_empty.dds", "FreshUI/media/ActionBar/passiveabilityframe_round_empty.dds")
		RedirectTexture("esoui/art/actionbar/passiveabilityframe_round_up.dds", "FreshUI/media/ActionBar/passiveabilityframe_round_up.dds")
-- Player Attribute Bars
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_dynamic_bg.dds", "FreshUI/media/AttributeBars/attributebar_dynamic_bg.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_dynamic_increasedarmor_bg.dds", "FreshUI/media/AttributeBars/attributebar_dynamic_increasedarmor_bg.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_dynamic_frame.dds", "FreshUI/media/AttributeBars/attributebar_dynamic_frame.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_dynamic_increasedarmor_frame.dds", "FreshUI/media/AttributeBars/attributebar_dynamic_increasedarmor_frame.dds")
-- Target Bars
		RedirectTexture("/esoui/art/unitattributevisualizer/targetbar_dynamic_frame.dds", "FreshUI/media/AttributeBars/targetbar_dynamic_frame.dds")
		RedirectTexture("/esoui/art/unitattributevisualizer/targetbar_dynamic_increasedarmor_frame.dds", "FreshUI/media/AttributeBars/targetbar_dynamic_increasedarmor_frame.dds")
		RedirectTexture("/esoui/art/unitframes/target_name_bracket_left.dds", "FreshUI/media/AttributeBars/target_name_bracket_left.dds")
		RedirectTexture("/esoui/art/unitframes/target_name_bracket_right.dds", "FreshUI/media/AttributeBars/target_name_bracket_right.dds")
		RedirectTexture("esoui/art/unitframes/targetunitframe_bracket_level2_left.dds", "FreshUI/media/AttributeBars/targetunitframe_bracket_level2_left.dds")
		RedirectTexture("esoui/art/unitframes/targetunitframe_bracket_level2_right.dds", "FreshUI/media/AttributeBars/targetunitframe_bracket_level2_right.dds")
		RedirectTexture("esoui/art/unitframes/targetunitframe_bracket_level3_left.dds", "FreshUI/media/AttributeBars/targetunitframe_bracket_level3_left.dds")
		RedirectTexture("esoui/art/unitframes/targetunitframe_bracket_level3_right.dds", "FreshUI/media/AttributeBars/targetunitframe_bracket_level3_right.dds")
		RedirectTexture("esoui/art/unitframes/targetunitframe_bracket_level4_left.dds", "FreshUI/media/AttributeBars/targetunitframe_bracket_level4_left.dds")
		RedirectTexture("esoui/art/unitframes/targetunitframe_bracket_level4_right.dds", "FreshUI/media/AttributeBars/targetunitframe_bracket_level4_right.dds")
-- Boss Bars
		RedirectTexture("/esoui/art/bossbar/bossbar_bracket_left.dds", "FreshUI/media/AttributeBars/bossbar_bracket_left.dds")
		RedirectTexture("/esoui/art/bossbar/bossbar_bracket_right.dds", "FreshUI/media/AttributeBars/bossbar_bracket_right.dds")
-- Compass
		RedirectTexture("/esoui/art/compass/compass.dds", "FreshUI/media/AttributeBars/compass.dds")
		RedirectTexture("esoui/art/miscellaneous/centerscreen_indexarea_left.dds", "FreshUI/media/blank.dds")
		RedirectTexture("esoui/art/miscellaneous/centerscreen_indexarea_right.dds", "FreshUI/media/blank.dds")	
		RedirectTexture("esoui/art/tooltips/munge_overlay.dds", "FreshUI/media/blank.dds")
-- Progress Bars
		RedirectTexture("esoui/art/miscellaneous/progressbar_frame.dds", "FreshUI/media/AttributeBars/progressbar_frame.dds")
		RedirectTexture("esoui/art/miscellaneous/progressbar_frame_bg.dds", "FreshUI/media/AttributeBars/progressbar_frame_bg.dds")
		RedirectTexture("esoui/art/miscellaneous/progressbar_champion_frame.dds", "FreshUI/media/AttributeBars/progressbar_champion_frame.dds")
-- Small Player Mount Bar
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_small_frame.dds", "FreshUI/media/AttributeBars/attributebar_small_frame.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_small_base.dds", "FreshUI/media/AttributeBars/attributebar_small_base.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_small_base_center.dds", "FreshUI/media/AttributeBars/attributebar_small_base_center.dds")
-- Tooltips
		RedirectTexture("/esoui/art/tooltips/tooltip_equippedlabel_bg.dds", "FreshUI/media/Menus/tooltip_equippedlabel_bg.dds")
		RedirectTexture("esoui/art/itemtooltip/item_chargemeter.dds", "FreshUI/media/Menus/item_chargemeter.dds")
-- Dividers
		RedirectTexture("/esoui/art/miscellaneous/horizontaldivider.dds", "FreshUI/media/Menus/horizontaldivider.dds")
		RedirectTexture("/esoui/art/miscellaneous/horizontaldividerred.dds", "FreshUI/media/Menus/horizontaldividerred.dds")
		RedirectTexture("/esoui/art/miscellaneous/horizontaldivider_dynamic.dds", "FreshUI/media/Menus/horizontaldivider_dynamic.dds")
		RedirectTexture("/esoui/art/characterwindow/characterwindow_leftside_divider.dds", "FreshUI/media/Menus/characterwindow_leftside_divider.dds")
		RedirectTexture("/esoui/art/miscellaneous/centerscreen_topdivider.dds", "FreshUI/media/Menus/centerscreen_topdivider.dds")
		RedirectTexture("/esoui/art/miscellaneous/wide_divider_left.dds", "FreshUI/media/Menus/wide_divider_left.dds")
		RedirectTexture("/esoui/art/miscellaneous/wide_divider_right.dds", "FreshUI/media/Menus/wide_divider_right.dds")
		RedirectTexture("/esoui/art/campaign/campaignbrowser_divider_short.dds", "FreshUI/media/Menus/campaignbrowser_divider_short.dds")
		RedirectTexture("/esoui/art/campaign/campaignbrowser_listdivider_left.dds", "FreshUI/media/Menus/campaignbrowser_listdivider_left.dds")
		RedirectTexture("/esoui/art/campaign/campaignbrowser_listdivider_right.dds", "FreshUI/media/Menus/campaignbrowser_listdivider_right.dds")
		RedirectTexture("/esoui/art/guild/sectiondivider_right.dds", "FreshUI/media/Menus/sectiondivider_right.dds")
		RedirectTexture("/esoui/art/guild/sectiondivider_left.dds", "FreshUI/media/Menus/sectiondivider_left.dds")
		RedirectTexture("/esoui/art/quest/questjournal_divider.dds", "FreshUI/media/Menus/questjournal_divider.dds")
		RedirectTexture("/esoui/art/campaign/leaderboard_meddivider_left.dds", "FreshUI/media/Menus/leaderboarddivider_left.dds")
		RedirectTexture("/esoui/art/campaign/leaderboard_meddivider_right.dds", "FreshUI/media/Menus/leaderboarddivider_right.dds")
		RedirectTexture("/esoui/art/tradinghouse/tradinghouse_divider_short.dds", "FreshUI/media/Menus/tradinghouse_divider_short.dds")
		RedirectTexture("esoui/art/miscellaneous/listitem_highlight.dds", "FreshUI/media/Menus/listitem_highlight.dds")
		RedirectTexture("esoui/art/interaction/conversation_verticalborder.dds", "FreshUI/media/Menus/conversation_verticalborder.dds")
		RedirectTexture("/esoui/art/ava/ava_seigecontrols_divider.dds", "FreshUI/media/Menus/ava_seigecontrols_divider.dds")
		RedirectTexture("/esoui/art/miscellaneous/window_edge.dds", "FreshUI/media/Menus/window_edge.dds")
		RedirectTexture("/esoui/art/loot/loot_topdivider.dds", "FreshUI/media/Menus/loot_topdivider.dds")
		RedirectTexture("/esoui/art/mail/mail_divider.dds", "FreshUI/media/Menus/mail_divider.dds")
		RedirectTexture("/esoui/art/progression/abilitybar_divider.dds", "FreshUI/media/Menus/abilitybar_divider.dds")
		RedirectTexture("/esoui/art/progression/list_header_bg.dds", "FreshUI/media/Menus/list_header_bg.dds")
		RedirectTexture("/esoui/art/login/keyboard/login_textlineshadow.dds", "FreshUI/media/Menus/login_textlineshadow.dds")
		RedirectTexture("/esoui/art/login/login_divider.dds", "FreshUI/media/Menus/login_divider.dds")
-- Menus
		RedirectTexture("esoui/art/worldmap/worldmap_frame_edge.dds", "FreshUI/media/Menus/worldmap_frame_edge.dds")
		RedirectTexture("/esoui/art/miscellaneous/scrollbox_elevator.dds", "FreshUI/media/Menus/scrollbox_elevator.dds")
		RedirectTexture("/esoui/art/miscellaneous/scrollbox_elevator_disabled.dds", "FreshUI/media/Menus/scrollbox_elevator_disabled.dds")
		RedirectTexture("/esoui/art/miscellaneous/slider_marker_up.dds", "FreshUI/media/Menus/slider_marker_up.dds")
		RedirectTexture("/esoui/art/miscellaneous/slider_marker_down.dds", "FreshUI/media/Menus/slider_marker_down.dds")
		RedirectTexture("/esoui/art/progression/morph_graphic.dds", "FreshUI/media/Menus/morph_graphic.dds")
		RedirectTexture("/esoui/art/progression/passive_arrow_graphic.dds", "FreshUI/media/Menus/passive_arrow_graphic.dds")
-- Chat
		RedirectTexture("/esoui/art/chatwindow/chat_thumb.dds", "FreshUI/media/Chat/chat_thumb.dds")
		RedirectTexture("/esoui/art/chatwindow/chat_thumb_disabled.dds", "FreshUI/media/Chat/chat_thumb_disabled.dds")
		RedirectTexture("/esoui/art/chatwindow/chatoptions_bgcolswatch_frame.dds", "FreshUI/media/Chat/chatoptions_bgcolswatch_frame.dds")
		RedirectTexture("/esoui/art/chatwindow/chatoptions_channelcolor_frame.dds", "FreshUI/media/Chat/chatoptions_channelcolor_frame.dds")
-- Group
		RedirectTexture("/esoui/art/unitframes/unitframe_group_left.dds", "FreshUI/media/Menus/unitframe_group_left.dds")
		RedirectTexture("/esoui/art/unitframes/unitframe_group_right.dds", "FreshUI/media/blank.dds")
		RedirectTexture("/esoui/art/unitframes/unitframe_group_withcompanion.dds", "FreshUI/media/unitframe_group_withcompanion.dds")
-- Death Recap
		RedirectTexture("esoui/art/deathrecap/deathrecap_divider_left.dds", "FreshUI/media/Menus/deathrecap_divider_left.dds")
		RedirectTexture("esoui/art/deathrecap/deathrecap_divider_right.dds", "FreshUI/media/Menus/deathrecap_divider_right.dds")	
		RedirectTexture("/esoui/art/deathrecap/deathrecap_attackbossframe.dds", "FreshUI/media/Menus/deathrecap_attackbossframe.dds")	
		RedirectTexture("/esoui/art/deathrecap/deathrecap_attackframe.dds", "FreshUI/media/Menus/deathrecap_attackframe.dds")	
-- Hud Elements
		RedirectTexture("esoui/art/hud/infamy_meter-frame-generic.dds", "FreshUI/media/Menus/infamy_meter-frame-generic.dds")
		RedirectTexture("esoui/art/hud/telvar_meter_frame.dds", "FreshUI/media/Menus/telvar_meter_frame.dds")
		RedirectTexture("/esoui/art/capturemeter/capturemeter_frame.dds", "FreshUI/media/Icons/capturemeter_frame.dds")
		RedirectTexture("/esoui/art/characterwindow/swap_button_up.dds", "FreshUI/media/Icons/swap_button_up.dds")
		RedirectTexture("/esoui/art/characterwindow/swap_button_down.dds", "FreshUI/media/Icons/swap_button_down.dds")
		RedirectTexture("/esoui/art/characterwindow/swap_button_disabled.dds", "FreshUI/media/Icons/swap_button_disabled.dds")
		RedirectTexture("/esoui/art/market/market_iconframe_multitexture.dds", "FreshUI/media/Menus/market_iconframe_multitexture.dds")
		RedirectTexture("/esoui/art/hud/radialmenu_bg_unselected.dds", "FreshUI/media/Menus/radialmenu_bg_unselected.dds")
		RedirectTexture("/esoui/art/hud/radialmenu_bg.dds", "FreshUI/media/Menus/radialmenu_bg.dds")
-- Crafting
		RedirectTexture("/esoui/art/crafting/crafting_alchemy_slottingbg.dds", "FreshUI/media/Crafting/crafting_alchemy_slottingbg.dds")
		RedirectTexture("/esoui/art/crafting/crafting_enchanting_slottingbg.dds", "FreshUI/media/Crafting/crafting_enchanting_slottingbg.dds")
		RedirectTexture("/esoui/art/crafting/crafting_multicraft_slottingbg.dds", "FreshUI/media/Crafting/crafting_multicraft_slottingbg.dds")
		RedirectTexture("/esoui/art/crafting/crafting_multicraft_slottingbg_left.dds", "FreshUI/media/Crafting/crafting_multicraft_slottingbg_left.dds")
		RedirectTexture("/esoui/art/crafting/crafting_multicraft_slottingbg_right.dds", "FreshUI/media/Crafting/crafting_multicraft_slottingbg_right.dds")
		RedirectTexture("/esoui/art/enchanting/enchanting_highlight.dds", "FreshUI/media/Crafting/enchanting_highlight.dds")
		RedirectTexture("/esoui/art/crafting/reconstruction_temper_epic.dds", "FreshUI/media/Crafting/reconstruction_temper_epic.dds")
		RedirectTexture("/esoui/art/crafting/reconstruction_temper_fine.dds", "FreshUI/media/Crafting/reconstruction_temper_fine.dds")
		RedirectTexture("/esoui/art/crafting/reconstruction_temper_legendary.dds", "FreshUI/media/Crafting/reconstruction_temper_legendary.dds")
		RedirectTexture("/esoui/art/crafting/reconstruction_temper_normal.dds", "FreshUI/media/Crafting/reconstruction_temper_normal.dds")
		RedirectTexture("/esoui/art/crafting/reconstruction_temper_superior.dds", "FreshUI/media/Crafting/reconstruction_temper_superior.dds")
		RedirectTexture("/esoui/art/crafting/reconstruction_temperdisabled_epic.dds", "FreshUI/media/Crafting/reconstruction_temperdisabled_epic.dds")
		RedirectTexture("/esoui/art/crafting/reconstruction_temperdisabled_fine.dds", "FreshUI/media/Crafting/reconstruction_temperdisabled_fine.dds")
		RedirectTexture("/esoui/art/crafting/reconstruction_temperdisabled_legendary.dds", "FreshUI/media/Crafting/reconstruction_temperdisabled_legendary.dds")
		RedirectTexture("/esoui/art/crafting/reconstruction_temperdisabled_normal.dds", "FreshUI/media/Crafting/reconstruction_temperdisabled_normal.dds")
		RedirectTexture("/esoui/art/crafting/reconstruction_temperdisabled_superior.dds", "FreshUI/media/Crafting/reconstruction_temperdisabled_superior.dds")
		RedirectTexture("/esoui/art/crafting/smithing_temperchart_epic2legendary.dds", "FreshUI/media/Crafting/smithing_temperchart_epic2legendary.dds")
		RedirectTexture("/esoui/art/crafting/smithing_temperchart_fine2superior.dds", "FreshUI/media/Crafting/smithing_temperchart_fine2superior.dds")
		RedirectTexture("/esoui/art/crafting/smithing_temperchart_normal2fine.dds", "FreshUI/media/Crafting/smithing_temperchart_normal2fine.dds")
		RedirectTexture("/esoui/art/crafting/smithing_temperchart_superior2epic.dds", "FreshUI/media/Crafting/smithing_temperchart_superior2epic.dds")
		RedirectTexture("/esoui/art/crafting/crafting_tall_slottingbg.dds", "FreshUI/media/Crafting/crafting_tall_slottingbg.dds")
-- Buttons
		RedirectTexture("/esoui/art/buttons/button_xlarge_mouseup.dds", "FreshUI/media/Buttons/button_xlarge_mouseup.dds")
		RedirectTexture("/esoui/art/buttons/button_xlarge_mousedown.dds", "FreshUI/media/Buttons/button_xlarge_mousedown.dds")
		RedirectTexture("/esoui/art/buttons/button_xlarge_mouseover.dds", "FreshUI/media/Buttons/button_xlarge_mouseover.dds")
		RedirectTexture("/esoui/art/buttons/eso_buttonlarge_normal.dds", "FreshUI/media/Buttons/eso_buttonlarge_normal.dds")
		RedirectTexture("/esoui/art/buttons/eso_buttonllarge_mousedown.dds", "FreshUI/media/Buttons/eso_buttonllarge_mousedown.dds")
		RedirectTexture("/esoui/art/buttons/eso_buttonlarge_mouseover.dds", "FreshUI/media/Buttons/eso_buttonlarge_mouseover.dds")
		RedirectTexture("/esoui/art/buttons/eso_buttonlarge_disabled.dds", "FreshUI/media/Buttons/eso_buttonlarge_disabled.dds")
		RedirectTexture("/esoui/art/buttons/swatchframe_selected.dds", "FreshUI/media/Buttons/swatchframe_selected.dds")
		RedirectTexture("/esoui/art/buttons/swatchframe_selected_disabled.dds", "FreshUI/media/Buttons/swatchframe_selected_disabled.dds")
		RedirectTexture("/esoui/art/buttons/swatchframe_down.dds", "FreshUI/media/Buttons/swatchframe_down.dds")
-- Campaign
		RedirectTexture("/esoui/art/campaign/overview_rewardprogbar_left.dds", "FreshUI/media/AttributeBars/overview_rewardprogbar_left.dds")
		RedirectTexture("/esoui/art/campaign/overview_rewardprogbar_right.dds", "FreshUI/media/AttributeBars/overview_rewardprogbar_right.dds")
		RedirectTexture("/esoui/art/campaign/overview_scoringbg_aldmeri_left.dds", "FreshUI/media/Menus/overview_scoringbg_aldmeri_left.dds")
		RedirectTexture("/esoui/art/campaign/overview_scoringbg_aldmeri_right.dds", "FreshUI/media/Menus/overview_scoringbg_aldmeri_right.dds")
		RedirectTexture("/esoui/art/campaign/overview_scoringbg_daggerfall_left.dds", "FreshUI/media/Menus/overview_scoringbg_daggerfall_left.dds")
		RedirectTexture("/esoui/art/campaign/overview_scoringbg_daggerfall_right.dds", "FreshUI/media/Menus/overview_scoringbg_daggerfall_right.dds")
		RedirectTexture("/esoui/art/campaign/overview_scoringbg_ebonheart_left.dds", "FreshUI/media/Menus/overview_scoringbg_ebonheart_left.dds")
		RedirectTexture("/esoui/art/campaign/overview_scoringbg_ebonheart_right.dds", "FreshUI/media/Menus/overview_scoringbg_ebonheart_right.dds")
-- Dye
		RedirectTexture("/esoui/art/dye/dye_swatch_highlight.dds", "FreshUI/media/Menus/dye_swatch_highlight.dds")
		RedirectTexture("/esoui/art/dye/dye_amorslot.dds", "FreshUI/media/Menus/dye_amorslot.dds")
		RedirectTexture("/esoui/art/dye/swatch_multitexture.dds", "FreshUI/media/Menus/swatch_multitexture.dds")
-- Miscellaneous
		RedirectTexture("/esoui/art/miscellaneous/colorpicker_pip.dds", "FreshUI/media/Menus/colorpicker_pip.dds")
		RedirectTexture("/esoui/art/miscellaneous/colorpicker_slider_vertical.dds", "FreshUI/media/Menus/colorpicker_slider_vertical.dds")
		RedirectTexture("/esoui/art/miscellaneous/colorpicker_sliderframe.dds", "FreshUI/media/Menus/colorpicker_sliderframe.dds")
		RedirectTexture("/esoui/art/miscellaneous/colorpicker_swatchframe.dds", "FreshUI/media/Menus/colorpicker_swatchframe.dds")
		RedirectTexture("/esoui/art/miscellaneous/spinnerbg_left.dds", "FreshUI/media/Buttons/spinnerbg_left.dds")
		RedirectTexture("/esoui/art/miscellaneous/spinnerbg_right.dds", "FreshUI/media/Buttons/spinnerbg_right.dds")
		RedirectTexture("/esoui/art/guild/guildheraldry_swatchframe_multitexture.dds", "FreshUI/media/Menus/guildheraldry_swatchframe_multitexture.dds")
		RedirectTexture("/esoui/art/guild/guildranks_iconframe_disabled.dds", "FreshUI/media/Menus/guildranks_iconframe_disabled.dds")
		RedirectTexture("/esoui/art/guild/guildranks_iconframe_normal.dds", "FreshUI/media/Menus/guildranks_iconframe_normal.dds")
		RedirectTexture("/esoui/art/guild/guildranks_iconframe_selected.dds", "FreshUI/media/Menus/guildranks_iconframe_selected.dds")
-- Quickslot
		RedirectTexture("/esoui/art/quickslots/quickslot_mapping_bg.dds", "FreshUI/media/Menus/quickslot_mapping_bg.dds")
		RedirectTexture("/esoui/art/quickslots/quickslot_highlight_blob.dds", "FreshUI/media/Menus/quickslot_highlight_blob.dds")
-- Battleground
		RedirectTexture("/esoui/art/battlegrounds/battlegrounds_scoreboardbg_green.dds", "FreshUI/media/Menus/battlegrounds_scoreboardbg_green.dds")
		RedirectTexture("/esoui/art/battlegrounds/battlegrounds_scoreboardbg_orange.dds", "FreshUI/media/Menus/battlegrounds_scoreboardbg_orange.dds")
		RedirectTexture("/esoui/art/battlegrounds/battlegrounds_scoreboardbg_purple.dds", "FreshUI/media/Menus/battlegrounds_scoreboardbg_purple.dds")
-- Skill Styling
		RedirectTexture("/esoui/art/progression/skillstyling_default_up.dds", "FreshUI/media/Menus/skillstyling_default_up.dds")
		RedirectTexture("/esoui/art/progression/skillstyling_default_disabled.dds", "FreshUI/media/Menus/skillstyling_default_disabled.dds")
		RedirectTexture("/esoui/art/progression/skillstyling_default_down.dds", "FreshUI/media/Menus/skillstyling_default_down.dds")
		RedirectTexture("/esoui/art/progression/styleframe64_up.dds", "FreshUI/media/Menus/styleframe64_up.dds")
		RedirectTexture("/esoui/art/progression/styleframe64_down.dds", "FreshUI/media/Menus/styleframe64_down.dds")
		RedirectTexture("/esoui/art/progression/styleframe64_disabled.dds", "FreshUI/media/Menus/styleframe64_disabled.dds")
		RedirectTexture("/esoui/art/progression/styleicon64_stylelocked.dds", "FreshUI/media/Menus/styleicon64_stylelocked.dds")
		RedirectTexture("/esoui/art/progression/styleframe64_selectioncorner.dds", "FreshUI/media/Menus/styleframe64_selectioncorner.dds")